<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class CompraJSON extends Model
{
    protected $table='compra_json';
     protected $fillable = 
     [
     	'tipo_operacion',
		'clasificacion',
     	'sector',
     	'tipo_costo_gasto',
     	'emi_nit',
     	'emi_nrc',
     	'emi_nombre',
     	'resu_tribu_c8',
     	'resu_tribu_d1',
     	'resu_tribu_20',
     	'resu_subtotal',
     	'resu_ivaperci1',
     	'resu_ivarete1',
     	'resu_reterenta',
     	'resu_totalpagar',
     	'codigoGeneracion',
     	'selloRecibido',
        'fechaProcesamiento',
        'idEmpresa',
        'tipoDte',
		'fecha_libro_iva',
		'tipoCompra',
		'idCuenta'
     ];

	public function tipoOperacionCompra(){
        return $this->belongsTo(TipoOperacion::class, 'tipo_operacion', 'codigo');
    }  
	
	public function clasificacionCompra(){
        return $this->belongsTo(Clasificacion::class, 'clasificacion', 'codigo');
    }  

	public function sectorCompra(){
        return $this->belongsTo(Sector::class, 'sector', 'codigo');
    }  
	public function tipoCostoGastoCompra(){
        return $this->belongsTo(TipoCostoGasto::class, 'tipo_costo_gasto', 'codigo');
    }  
}
