<?php

namespace App\Exports;

use Illuminate\Support\Facades\DB;
use Maatwebsite\Excel\Concerns\FromQuery;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\WithCustomCsvSettings;

class VentaExport implements FromQuery,WithCustomCsvSettings
{
    protected $startDate;
    protected $endDate;
    protected $anulada;
    protected $idBodega;

    public function __construct($startDate, $endDate, $anulada, $idBodega)
    {
        $this->startDate = $startDate;
        $this->endDate = $endDate;
        $this->anulada = $anulada;
        $this->idBodega = $idBodega;
    }

    public function query()
    {
        return DB::table('fc_factura')
            ->select(
                'fc_factura.fecha_factura AS fecha_factura',
                'fc_factura.numeroControl AS numeroControl',
                DB::raw("'4' AS clasedoc"),
                DB::raw("'0' AS desde"),
                DB::raw("'0' AS hasta"),
                'fc_factura.tipo_documento AS tdocu',
                DB::raw("'D' AS tdetalle"),
                'fc_factura.selloRecibido AS serie',
                DB::raw("'0' AS desde2"),
                DB::raw("'0' AS hasta2"),
                'fc_factura.codigoGeneracion AS codigoGeneracion'
            )
            ->whereBetween('fc_factura.fecha_factura', [$this->startDate, $this->endDate])
            ->where('fc_factura.anulada', $this->anulada)
            ->where('fc_factura.idBodega', $this->idBodega)
            ->orderBy('fc_factura.fecha_factura');
    }

    // public function headings(): array
    // {
    //     return [
    //         'fecha_factura',
    //         'numeroControl',
    //         'clasedoc',
    //         'desde',
    //         'hasta',
    //         'tdocu',
    //         'tdetalle',
    //         'serie',
    //         'desde2',
    //         'hasta2',
    //         'codigoGeneracion'
    //     ];
    // }


    public function getCsvSettings(): array
    {
        return [
            'delimiter' => ';',
            'enclosure' => '',
        ];
    }
}
