<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\AgengaModel;
use App\BodegaEmpleado;

class AgengaController extends Controller
{
    public function index(Request $request)
    {
        if (!$request->ajax()) return redirect('/');

        $buscar = $request->buscar;
        $criterio = $request->criterio;
        // $date = date("Y-m-d");
        $date = $request->date;
        $sala = $request->idSala;
        $keyWhere = 1;
        $valueWhere = 1;
        if ($sala > 0){
            $keyWhere = "idSala";
            $valueWhere = $sala;
        }
        $bodegaEmpleado = $this->getBodegaEmpleadoSelf();
        $bodegas = array();
        foreach($bodegaEmpleado as $bod){
            array_push($bodegas,"".$bod->id_bodega);
        }
        if ($buscar==''){
            $agendas = AgengaModel::join('in_bodega_empleado','ostc_agenda.idUser','=','in_bodega_empleado.id_empleado')
            ->select('ostc_agenda.id',
            'ostc_agenda.idPaciente',
            'ostc_agenda.nombrePaciente',
            'ostc_agenda.estado',
            'ostc_agenda.idUser',
            'ostc_agenda.comentario',
            'ostc_agenda.idEmpresa',
            'ostc_agenda.horaConsulta',
            'ostc_agenda.idSala',
            'ostc_agenda.created_at',
            'ostc_agenda.updated_at')
            ->whereIn('in_bodega_empleado.id_bodega', $bodegas)
            // ->where('in_bodega_empleado.id_bodega','=',$bodegaEmpleado->id_bodega)
            ->where('idEmpresa','=', Auth::user()->idEmpresa)
            ->whereRaw($keyWhere.'='.$valueWhere)
            ->whereDate('ostc_agenda.created_at', '=', $date )
            ->orderBy('ostc_agenda.created_at', 'ASC')
            ->with('salaPaciente')
            ->with('pacienteAgenda')
            ->paginate(200);

            // $agendas = AgengaModel::where('idEmpresa','=', Auth::user()->idEmpresa)->whereDate('created_at', '=', $date )->orderBy('created_at', 'ASC')->with('salaPaciente')->with('pacienteAgenda')->paginate(200);
            $countEventuales = AgengaModel::join('in_bodega_empleado','ostc_agenda.idUser','=','in_bodega_empleado.id_empleado')
            ->whereIn('in_bodega_empleado.id_bodega', $bodegas)
            ->where('idEmpresa','=', Auth::user()->idEmpresa)
            ->whereRaw($keyWhere.'='.$valueWhere)
            ->where('idPaciente','=', 0)->whereDate('ostc_agenda.created_at', '=', $date )->count();
            $countCodigo = AgengaModel::join('in_bodega_empleado','ostc_agenda.idUser','=','in_bodega_empleado.id_empleado')
            ->whereIn('in_bodega_empleado.id_bodega', $bodegas)
            ->where('idEmpresa','=', Auth::user()->idEmpresa)
            ->whereRaw($keyWhere.'='.$valueWhere)
            ->where('idPaciente','<>', 0)->whereDate('ostc_agenda.created_at', '=', $date )->count();
            $countConsulta = AgengaModel::join('in_bodega_empleado','ostc_agenda.idUser','=','in_bodega_empleado.id_empleado')
            ->whereIn('in_bodega_empleado.id_bodega', $bodegas)
            ->where('idEmpresa','=', Auth::user()->idEmpresa)
            ->whereRaw($keyWhere.'='.$valueWhere)
            ->where('estado','=', 1)->whereDate('ostc_agenda.created_at', '=', $date )->count();
            $countFinalizado = AgengaModel::join('in_bodega_empleado','ostc_agenda.idUser','=','in_bodega_empleado.id_empleado')
            ->whereIn('in_bodega_empleado.id_bodega', $bodegas)
            ->where('idEmpresa','=', Auth::user()->idEmpresa)
            ->whereRaw($keyWhere.'='.$valueWhere)
            ->where('estado','=', 2)->whereDate('ostc_agenda.created_at', '=', $date )->count();
            $countEspera = AgengaModel::join('in_bodega_empleado','ostc_agenda.idUser','=','in_bodega_empleado.id_empleado')
            ->whereIn('in_bodega_empleado.id_bodega', $bodegas)
            ->where('idEmpresa','=', Auth::user()->idEmpresa)
            ->whereRaw($keyWhere.'='.$valueWhere)
            ->where('estado','=', 0)->whereDate('ostc_agenda.created_at', '=', $date )->count();
        }
        else{
            // if ($criterio == "codCliente"){
            //     $criterio = "paciente_agenda.codCliente";
            // }
            $agendas = AgengaModel::join('in_bodega_empleado','ostc_agenda.idUser','=','in_bodega_empleado.id_empleado')
            ->select('ostc_agenda.id',
            'ostc_agenda.idPaciente',
            'ostc_agenda.nombrePaciente',
            'ostc_agenda.estado',
            'ostc_agenda.idUser',
            'ostc_agenda.comentario',
            'ostc_agenda.idEmpresa',
            'ostc_agenda.horaConsulta',
            'ostc_agenda.idSala',
            'ostc_agenda.created_at',
            'ostc_agenda.updated_at')->whereIn('in_bodega_empleado.id_bodega', $bodegas)->where($criterio, 'like', '%'. $buscar . '%')->where('idEmpresa','=', Auth::user()->idEmpresa)->whereRaw($keyWhere.'='.$valueWhere)->whereDate('ostc_agenda.created_at', '=', $date )->orderBy('ostc_agenda.created_at', 'ASC')->with('salaPaciente')->with('pacienteAgenda')->paginate(200);
            $countEventuales = AgengaModel::join('in_bodega_empleado','ostc_agenda.idUser','=','in_bodega_empleado.id_empleado')
            ->whereIn('in_bodega_empleado.id_bodega', $bodegas)
            ->where($criterio, 'like', '%'. $buscar . '%')->where('idEmpresa','=', Auth::user()->idEmpresa)
            ->whereRaw($keyWhere.'='.$valueWhere)
            ->where('idPaciente','=', 0)->whereDate('ostc_agenda.created_at', '=', $date )->count();
            $countCodigo = AgengaModel::join('in_bodega_empleado','ostc_agenda.idUser','=','in_bodega_empleado.id_empleado')
            ->whereIn('in_bodega_empleado.id_bodega', $bodegas)
            ->where($criterio, 'like', '%'. $buscar . '%')->where('idEmpresa','=', Auth::user()->idEmpresa)
            ->whereRaw($keyWhere.'='.$valueWhere)
            ->where('idPaciente','<>', 0)->whereDate('ostc_agenda.created_at', '=', $date )->count();
            $countConsulta = AgengaModel::join('in_bodega_empleado','ostc_agenda.idUser','=','in_bodega_empleado.id_empleado')
            ->whereIn('in_bodega_empleado.id_bodega', $bodegas)
            ->where($criterio, 'like', '%'. $buscar . '%')->where('idEmpresa','=', Auth::user()->idEmpresa)
            ->whereRaw($keyWhere.'='.$valueWhere)
            ->where('estado','=', 1)->whereDate('ostc_agenda.created_at', '=', $date )->count();
            $countFinalizado = AgengaModel::join('in_bodega_empleado','ostc_agenda.idUser','=','in_bodega_empleado.id_empleado')
            ->whereIn('in_bodega_empleado.id_bodega', $bodegas)
            ->where($criterio, 'like', '%'. $buscar . '%')->where('idEmpresa','=', Auth::user()->idEmpresa)
            ->whereRaw($keyWhere.'='.$valueWhere)
            ->where('estado','=', 2)->whereDate('ostc_agenda.created_at', '=', $date )->count();
            $countEspera = AgengaModel::join('in_bodega_empleado','ostc_agenda.idUser','=','in_bodega_empleado.id_empleado')
            ->whereIn('in_bodega_empleado.id_bodega', $bodegas)
            ->where($criterio, 'like', '%'. $buscar . '%')->where('idEmpresa','=', Auth::user()->idEmpresa)
            ->whereRaw($keyWhere.'='.$valueWhere)
            ->where('estado','=', 0)->whereDate('ostc_agenda.created_at', '=', $date )->count();
        }

        return [
            'pagination' => [
                'total'        => $agendas->total(),
                'current_page' => $agendas->currentPage(),
                'per_page'     => $agendas->perPage(),
                'last_page'    => $agendas->lastPage(),
                'from'         => $agendas->firstItem(),
                'to'           => $agendas->lastItem(),
            ],
            'agendas' => $agendas,
            'countEventuales' => $countEventuales,
            'countCodigo' => $countCodigo,
            'countFinalizado' => $countFinalizado,
            'countConsulta' => $countConsulta,
            'countEspera' => $countEspera
            
        ];
    }

    public function store(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $agenda = new AgengaModel();
        $agenda->idPaciente = $request->idPaciente;
        $agenda->nombrePaciente = $request->nombre;
        $agenda->idSala = $request->idSala;
        $agenda->estado = 0;
        $agenda->idUser = Auth::user()->id;
        $agenda->comentario = $request->comentario;
        $agenda->idEmpresa = Auth::user()->idEmpresa;
        $agenda->save();
    }

    public function update(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $agenda = AgengaModel::findOrFail($request->id);
        $agenda->idPaciente = $request->idPaciente;
        $agenda->idSala = $request->idSala;
        $agenda->comentario = $request->comentario;
        $agenda->nombrePaciente = $request->nombre;
        $agenda->save();
    }

    public function atender(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $agenda = AgengaModel::findOrFail($request->id);
        $agenda->estado = 1;
        $agenda->horaConsulta = date("Y-m-d H:i:s");
        $agenda->save();
    }
    public function cancelar(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $agenda = AgengaModel::findOrFail($request->id);
        $agenda->horaConsulta = NULL;
        $agenda->estado = 0;
        $agenda->save();
    }

    public function finalizar(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $agenda = AgengaModel::findOrFail($request->id);
        $agenda->estado = 2;
        $agenda->save();
    }

    public function deleteAgenda(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $call = AgengaModel::findOrFail($request->id);
        $call->delete();
    }

    public function getBodegaEmpleadoSelf()
    {
        $bodega = BodegaEmpleado::where("id_empleado", "=", Auth::user()->id)->get();
        return $bodega;
    }
}
