<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;
use App\AjusteInventario;
use App\ExistenciaProducto;
use App\DetalleAjuste;
use App\Combustible;
use App\TipoPrecioDetalle;

class AjusteInventarioController extends Controller
{
    public function index(Request $request)
    {
        if (!$request->ajax()) return redirect('/');

        $buscar = $request->buscar;
        $criterio = $request->criterio;
        $rolUsuario = Auth::user()->idrol;
        $idEmpresa = Auth::user()->idEmpresa;
        
         if ($buscar==''){
                $ajustes = AjusteInventario::join('in_bodega','in_ajuste_ie.idBodega','=','in_bodega.id')
                ->join('conta_cuentas_contables','in_ajuste_ie.idCuenta','=','conta_cuentas_contables.id')
                ->select('in_ajuste_ie.id',
                		'in_bodega.nombre as nombreBodega',
                		'conta_cuentas_contables.nombre as nombreCuenta',
            			'in_ajuste_ie.fecha_ajuste',
            			'in_ajuste_ie.tipo_ajuste',
            			'in_ajuste_ie.concepto',
            			'in_ajuste_ie.entrega',
            			'in_ajuste_ie.recibe',
            			'in_ajuste_ie.total_ajuste')
                ->where('in_ajuste_ie.idEmpresa','=', $idEmpresa)->orderBy('in_ajuste_ie.id', 'desc')
                ->with('ajusteDetalle')
                ->with('ajusteDetalle.producto')
                ->paginate(10);
            }
            else{
                $ajustes =AjusteInventario::join('in_bodega','in_ajuste_ie.idBodega','=','in_bodega.id')
                ->join('conta_cuentas_contables','in_ajuste_ie.idCuenta','=','conta_cuentas_contables.id')
                ->select('in_ajuste_ie.id',
                		'in_bodega.nombre as nombreBodega',
                		'conta_cuentas_contables.nombre as nombreCuenta',
            			'in_ajuste_ie.fecha_ajuste',
            			'in_ajuste_ie.tipo_ajuste',
            			'in_ajuste_ie.concepto',
            			'in_ajuste_ie.entrega',
            			'in_ajuste_ie.recibe',
            			'in_ajuste_ie.total_ajuste')
                ->where('in_ajuste_ie.idEmpresa','=', $idEmpresa)
                ->where("in_bodega.".$criterio, 'like', '%'. $buscar . '%')->orderBy('in_ajuste_ie.id', 'desc')
                ->with('ajusteDetalle')
                ->with('ajusteDetalle.producto')
                ->paginate(10);
            }
        
        return [
            'pagination' => [
                'total'        => $ajustes->total(),
                'current_page' => $ajustes->currentPage(),
                'per_page'     => $ajustes->perPage(),
                'last_page'    => $ajustes->lastPage(),
                'from'         => $ajustes->firstItem(),
                'to'           => $ajustes->lastItem(),
            ],
            'ajustes' => $ajustes
        ];
    }
   
      
    public function listarPdf(){
        /*$rolUsuario = Auth::user()->idrol;
        $idEmpresa = Auth::user()->idEmpresa;
        $ajustes = ajuste::join('personas','ajustes.idcliente','=','personas.id')
            ->join('users','ajustes.idusuario','=','users.id')
            ->select('ajustes.id','ajustes.tipo_comprobante','ajustes.serie_comprobante',
            'ajustes.num_comprobante','ajustes.fecha_hora','ajustes.impuesto','ajustes.total',
            'ajustes.estado','personas.nombre','users.usuario')
            ->where('ajustes.idEmpresa','=', $idEmpresa)
            ->orderBy('ajustes.id', 'desc')->get();
        //$cont=ajuste::count();
        $cont=sizeof($ajustes);

        $pdf = \PDF::loadView('pdf.ajustespdf',['ajustes'=>$ajustes,'cont'=>$cont])->setPaper('a4', 'landscape');
        return $pdf->download('ajustes.pdf');*/
    }

    public function pdf(Request $request,$id){
        /*$ajuste = ajuste::join('personas','ajustes.idcliente','=','personas.id')
        ->join('users','ajustes.idusuario','=','users.id')
        ->select('ajustes.id','ajustes.tipo_comprobante','ajustes.serie_comprobante',
        'ajustes.num_comprobante','ajustes.created_at','ajustes.impuesto','ajustes.total',
        'ajustes.estado','personas.nombre','personas.tipo_documento','personas.num_documento',
        'personas.direccion','personas.email',
        'personas.telefono','users.usuario')
        ->where('ajustes.id','=',$id)
        ->orderBy('ajustes.id', 'desc')->take(1)->get();

        $detalles = Detalleajuste::join('articulos','detalle_ajustes.idarticulo','=','articulos.id')
        ->select('detalle_ajustes.cantidad','detalle_ajustes.precio','detalle_ajustes.descuento',
        'articulos.nombre as articulo')
        ->where('detalle_ajustes.idajuste','=',$id)
        ->orderBy('detalle_ajustes.id', 'desc')->get();

        $numajuste=ajuste::select('num_comprobante')->where('id',$id)->get();

        $pdf = \PDF::loadView('pdf.ajuste',['ajuste'=>$ajuste,'detalles'=>$detalles]);
        return $pdf->download('ajuste-'.$numajuste[0]->num_comprobante.'.pdf');*/
    }

    public function pdfTicket(Request $request,$id){
       /* $ajuste = ajuste::join('personas','ajustes.idcliente','=','personas.id')
        ->join('users','ajustes.idusuario','=','users.id')
        ->select('ajustes.id','ajustes.tipo_comprobante','ajustes.serie_comprobante',
        'ajustes.num_comprobante','ajustes.created_at','ajustes.impuesto','ajustes.total',
        'ajustes.estado','personas.nombre','personas.tipo_documento','personas.num_documento',
        'personas.direccion','personas.email',
        'personas.telefono','users.usuario')
        ->where('ajustes.id','=',$id)
        ->orderBy('ajustes.id', 'desc')->take(1)->get();

        $detalles = Detalleajuste::join('articulos','detalle_ajustes.idarticulo','=','articulos.id')
        ->select('detalle_ajustes.cantidad','detalle_ajustes.precio','detalle_ajustes.descuento',
        'articulos.nombre as articulo')
        ->where('detalle_ajustes.idajuste','=',$id)
        ->orderBy('detalle_ajustes.id', 'desc')->get();

        $numajuste=ajuste::select('num_comprobante')->where('id',$id)->get();

        $pdf = \PDF::loadView('pdf.ajusteticket',['ajuste'=>$ajuste,'detalles'=>$detalles]);
        return $pdf->download('ajusteTicket-'.$numajuste[0]->num_comprobante.'.pdf');*/
    }

    public function store(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
   
        $fecha1 = explode('/',$request->fechaAjuste);
        $fecha1 = $fecha1[2].'-'.$fecha1[1].'-'.$fecha1[0];
      	$tipoAjuste = $request->tipoAjuste;

        try{
            DB::beginTransaction();

            $ajuste = new AjusteInventario();
            $ajuste->idEmpresa = Auth::user()->idEmpresa;
            $ajuste->idBodega = $request->idBodega;
            $ajuste->idCuenta = $request->idCuenta;
            $ajuste->fecha_ajuste =  $fecha1;
            $ajuste->tipo_ajuste = $request->tipoAjuste;
            $ajuste->idActivo = $request->idActivo;
            $ajuste->concepto = $request->concepto;
            $ajuste->entrega = $request->entrega;
            $ajuste->recibe  = $request->recibe;
            $ajuste->total_ajuste  = $request->total;
            $ajuste->idProveedor  = $request->idProveedor;
            $ajuste->odometro  = $request->odometro;
            $ajuste->userId = Auth::user()->id;
            $ajuste->save();

            $detalles = $request->detalle;
            

            foreach($detalles as $ep=>$det)
            {   
                $existencia = ExistenciaProducto::select('id','costo_promedio')
                ->where("idProducto", '=' ,$det['idProducto'])
                ->where("idBodega", '=' ,$request->idBodega)
                ->first();

                if ($tipoAjuste == 1 || $tipoAjuste == 4) {

                	$existenciaProducto = ExistenciaProducto::where('idProducto','=',$det['idProducto'])->where('idBodega','=',$request->idBodega)->first();
	                
	                if (is_null($existenciaProducto)) {
	                    $existencia = new ExistenciaProducto();
	                    $existencia->idProducto = $det['idProducto'];
	                    $existencia->idBodega = $request->idBodega;
	                    $existencia->existencia = $det['cantidad'];
	                    $existencia->costo_promedio = $det['precio'];         
	                    $existencia->save();     
	                }else{
	                    $existenciaNueva = $existenciaProducto['existencia'] + $det['cantidad'];
	                    $totalActual = $existenciaProducto['existencia'] * $existenciaProducto['costo_promedio'];
	                    $totalNuevo = $totalActual + ($det['cantidad'] * $det['precio']);
	                    $costoNuevo = $totalNuevo/$existenciaNueva;
	                    $existencia = ExistenciaProducto::findOrFail($existenciaProducto['id']);
	                    $existencia->existencia = $existenciaNueva;
	                    $existencia->costo_promedio = number_format($costoNuevo,2);      
	                    $existencia->save();
	                }
	      				
      			}else{
      				$objExistencia = ExistenciaProducto::findOrFail($existencia['id']);
               		$objExistencia->existencia  = $objExistencia->existencia - $det['cantidad'];
                	$objExistencia->save();
      			}

                $detalle = new DetalleAjuste();
                $detalle->idAjuste = $ajuste->id;
                $detalle->idProducto = $det['idProducto'];
                $detalle->concepto = $det['concepto'];
                $detalle->cantidad = $det['cantidad'];
                $detalle->costo_promedio = $det['precio'];
                $detalle->subtotal = $det['totalLinea'];
                $detalle->bomba = $det['bomba'];
                $detalle->lecturaInicial = $det['lecturaInicial'];
                $detalle->lecturaFinal = $det['lecturaFinal'];
                if ($tipoAjuste == 5){
                    $detalle->idCliente = $det['idCliente'];
                    $detalle->cantidadViajes = $det['cantidadViajes'];
                }else{
                    $detalle->idCliente = 0;
                    $detalle->cantidadViajes = 0;
                }
               
                $detalle->save();

                if ($tipoAjuste == 5){ //SALIDA/DIESEL
                    $bomba = Combustible::findOrFail($detalle->bomba);
                    $bomba->saldo_lectura =  $detalle->lecturaFinal;
                    $bomba->save();
                }
            }
            DB::commit();
            return [
                'id' => $ajuste->id
            ];
        } catch (Exception $e){
            DB::rollBack();
        }
    }

    public function getUltimaLecturaOdometro(Request $request){
        if (!$request->ajax()) return redirect('/');
        if (!empty($request->idBodega) && isset($request->idBodega)) {
            $combustible = Combustible::select('id','nombre','saldo_lectura')->where('activo', '=', 1)
            ->where('idBodega', '=', $request->idBodega)->orderBy('id', 'asc')->get();
        }else{
            $combustible = Combustible::select('id','nombre','saldo_lectura')->where('activo', '=', 1)
        ->orderBy('id', 'asc')->get();
        }
        
        return ['combustible' => $combustible];
    }
    public function desactivar(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $ajuste = ajuste::findOrFail($request->id);
        $ajuste->estado = 'Anulado';
        $ajuste->save();
    }

    //BOMBAS DE COMBUSTIBLE
    public function indexBombas(Request $request)
    {
       if (!$request->ajax()) return redirect('/');

        $buscar = $request->buscar;
        $criterio = $request->criterio;
        
        if ($buscar==''){
            $bombas = Combustible::where('activo', '=', 1)->with('bodega')->with('tipoPrecio')->orderBy('id', 'desc')->paginate(10);
        }
        else{
            $bombas = Combustible::where('activo', '=', 1)->where($criterio, 'like', '%'. $buscar . '%')->with('bodega')->with('tipoPrecio')->orderBy('id', 'desc')->paginate(10);
        }
        
        return [
            'pagination' => [
                'total'        => $bombas->total(),
                'current_page' => $bombas->currentPage(),
                'per_page'     => $bombas->perPage(),
                'last_page'    => $bombas->lastPage(),
                'from'         => $bombas->firstItem(),
                'to'           => $bombas->lastItem(),
            ],
            'bombas' => $bombas
        ];
    }

    public function storeBomba(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $bomba = new Combustible();
        $bomba->nombre = $request->nombre;
        $bomba->saldo_lectura = $request->saldoBomba;
        $bomba->activo = 1;
        $bomba->idBodega = $request->idBodega;
        $bomba->idTipoPrecio = $request->idTipoPrecio;
        $bomba->save();
    }

    public function updateBomba(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $bomba = Combustible::findOrFail($request->id);
        $bomba->nombre = $request->nombre;
        $bomba->saldo_lectura = $request->saldoBomba;
        $bomba->idBodega = $request->idBodega;
        $bomba->idTipoPrecio = $request->idTipoPrecio;
        $bomba->save();
    }

    public function inactivateBomba(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $bomba = Combustible::findOrFail($request->id);
        $bomba->activo = 0;
        $bomba->save();
    }

    public function getPrecioBomba(Request $request) {
       $idProducto = $request->idProducto;
       $bomba  = Combustible::findOrFail($request->idBomba);
       $tipoPrecioDetalle = TipoPrecioDetalle::where('tipo_precio', '=', $bomba->idTipoPrecio)
       ->where('producto','=',$idProducto)
       ->first();
       return ['precioDetalle' => $tipoPrecioDetalle];
    }

}
