<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use App\Amortizador;
use App\Cliente;
use App\AmortizadorDetalle;
use App\SaldoPaciente;
use App\BodegaEmpleado;
use App\Venta;

class AmortizadorController extends Controller
{
    public function index(Request $request)
    {
        if (!$request->ajax()) return redirect('/');

        $buscar = $request->buscar;
        $criterio = $request->criterio;
        $date = date("Y-m-d");
        $bodegaEmpleado = $this->getBodegaEmpleadoSelf();
        $idsBodegas = $bodegaEmpleado->pluck('id_bodega')->toArray();
        $cadenaIdsBodegas = implode(',', $idsBodegas);
        $resultTotal = DB::select("select
        `fc_factura`.`fecha_factura` AS `fecha`,
        `articulos`.`nombre` AS `producto`,
        sum(`fc_factura_detalle`.`cantidad`) AS `cantidad`,
        sum(
            (
                case
                    when (`fc_factura`.`tipo_documento` = '01') then (`fc_factura`.`sub_total_fc` / 1.13)
                    when (`fc_factura`.`tipo_documento` = '03') then `fc_factura`.`sub_total_fc`
                end
            )
        ) AS `gravada`,
        sum(
            (
                case
                    when (`fc_factura`.`tipo_documento` = '01') then ((`fc_factura`.`sub_total_fc` / 1.13) * 0.13)
                    when (`fc_factura`.`tipo_documento` = '03') then `fc_factura`.`iva_fc`
                end
            )
        ) AS `iva`,
        sum(`fc_factura`.`fovial`) AS `fovial`,
        sum(`fc_factura`.`cotrans`) AS `cotrans`,
        sum(`fc_factura`.`total_fc`) AS `total`,
        `fc_factura`.`idBodega` AS `idBodega`,
        `sub_tipo_precio_detalle`.`precio_nuevo` AS `precioventa`,
        `tipoPrecio`.`tipo` AS `tipo`

    from
        (
            (
                (
                    (
                        (
                            (
                                `fc_factura`
                                join `fc_factura_detalle` on (
                                    (
                                        `fc_factura`.`id` = `fc_factura_detalle`.`idFactura`
                                    )
                                )
                            )
                            join `articulos` on (
                                (
                                    `fc_factura_detalle`.`idProducto` = `articulos`.`id`
                                )
                            )
                        )
                        join `in_bcombustible` on (
                            (
                                `fc_factura_detalle`.`idBomba` = `in_bcombustible`.`id`
                            )
                        )
                    )
                    join `sub_tipo_precio_detalle` on (
                        (
                            (
                                `in_bcombustible`.`idTipoPrecio` = `sub_tipo_precio_detalle`.`tipo_precio`
                            )
                            and (
                                `articulos`.`id` = `sub_tipo_precio_detalle`.`producto`
                            )
                        )
                    )
                )
                join `tipoPrecio` on (
                    (
                        `sub_tipo_precio_detalle`.`tipo_precio` = `tipoPrecio`.`id`
                    )
                )
            )
            join `in_bodega_empleado` on (
                (
                    `fc_factura`.`idVendedor` = `in_bodega_empleado`.`id_empleado`
                )
            )
        )
    where
        (
            (`fc_factura`.`fecha_factura` = '".$date."')
            and (`articulos`.`idcategoria` = 5)
            and (`fc_factura`.`selloRecibido` is not null)
        )
    group by
        `fc_factura`.`fecha_factura`,
        `articulos`.`nombre`,
        `fc_factura`.`idBodega`,
        `sub_tipo_precio_detalle`.`precio_nuevo`,
        `tipoPrecio`.`tipo`
    having
        (`fc_factura`.`idBodega` IN (".$cadenaIdsBodegas."))
    order by
        `tipoPrecio`.`tipo`;
      ");
$resultTotal  = Venta::select(
        'fc_factura.fecha_factura as fecha',
        'articulos.nombre as producto',
        DB::raw('SUM(fc_factura_detalle.cantidad) as cantidad'),
        DB::raw('SUM(CASE
            WHEN fc_factura.tipo_documento = "01" THEN (fc_factura.sub_total_fc / 1.13)
            WHEN fc_factura.tipo_documento = "03" THEN fc_factura.sub_total_fc
            END) as gravada'),
        DB::raw('SUM(CASE
            WHEN fc_factura.tipo_documento = "01" THEN ((fc_factura.sub_total_fc / 1.13) * 0.13)
            WHEN fc_factura.tipo_documento = "03" THEN fc_factura.iva_fc
            END) as iva'),
        DB::raw('SUM(fc_factura.fovial) as fovial'),
        DB::raw('SUM(fc_factura.cotrans) as cotrans'),
        DB::raw('SUM(fc_factura.total_fc) as total'),
        'fc_factura.idBodega as idBodega',
        'sub_tipo_precio_detalle.precio_nuevo as precioventa',
        'tipoPrecio.tipo as tipo'
    )
    ->join('fc_factura_detalle', 'fc_factura.id', '=', 'fc_factura_detalle.idFactura')
    ->join('articulos', 'fc_factura_detalle.idProducto', '=', 'articulos.id')
    ->join('in_bcombustible', 'fc_factura_detalle.idBomba', '=', 'in_bcombustible.id')
    ->join('sub_tipo_precio_detalle', function ($join) {
        $join->on('in_bcombustible.idTipoPrecio', '=', 'sub_tipo_precio_detalle.tipo_precio')
            ->on('articulos.id', '=', 'sub_tipo_precio_detalle.producto');
    })
    ->join('tipoPrecio', 'sub_tipo_precio_detalle.tipo_precio', '=', 'tipoPrecio.id')
    ->join('in_bodega_empleado', 'fc_factura.idVendedor', '=', 'in_bodega_empleado.id_empleado')
    ->where('fc_factura.fecha_factura', $date)
    ->where('articulos.idcategoria', 5)
    ->whereNotNull('fc_factura.selloRecibido')
    ->groupBy(
        'fc_factura.fecha_factura',
        'articulos.nombre',
        'fc_factura.idBodega',
        'sub_tipo_precio_detalle.precio_nuevo',
        'tipoPrecio.tipo'
    )
    ->havingRaw('fc_factura.idBodega IN ('.$cadenaIdsBodegas.')')
    ->orderBy('tipoPrecio.tipo')
    ->get();
        // $request->idPaciente

        $totalCantidad = 0;
        $totalGravada= 0;
        $totalIva = 0;
        $totalFovial = 0;
        $totalCotrans = 0;
        $sumTotal = 0;
        foreach($resultTotal as $result)
        {
         $totalCantidad =  $totalCantidad + $result->cantidad;
         $totalGravada =  $totalGravada + $result->gravada;
         $totalIva =  $totalIva + $result->iva;
         $totalFovial =  $totalFovial + $result->fovial;
         $totalCotrans =  $totalCotrans + $result->cotrans;
         $sumTotal =  $sumTotal + $result->total;
        }
        return [
            // 'pagination' => [
            //     'total'        => $cuotas->total(),
            //     'current_page' => $cuotas->currentPage(),
            //     'per_page'     => $cuotas->perPage(),
            //     'last_page'    => $cuotas->lastPage(),
            //     'from'         => $cuotas->firstItem(),
            //     'to'           => $cuotas->lastItem(),
            // ],
            // 'cuotas' => $cuotas,
            'result' => $resultTotal,
            'totalCantidad' => $totalCantidad,
            'totalGravada' => $totalGravada,
            'totalIva' => $totalIva,
            'totalFovial' => $totalFovial,
            'totalCotrans' => $totalCotrans,
            'sumTotal' => $sumTotal
        ];
    }

    public function getBodegaEmpleadoSelf()
    {
        $bodega = BodegaEmpleado::where("id_empleado", "=", Auth::user()->id)->get();
        return $bodega;
    }
}
