<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Articulo;
use App\TipoPrecioDetalle;
use App\BodegaEmpleado;
use App\ClienteTipo;
use App\PlusProducto;
use App\SucursalCliente;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class ArticuloController extends Controller
{
    public function index(Request $request)
    {
        if (!$request->ajax()) return redirect('/');

        $buscar = $request->buscar;
        $criterio = $request->criterio;
        $ensamble  = $request->ensamble;

        $rolUsuario = Auth::user()->idrol;
        $idEmpresa = Auth::user()->idEmpresa;
         if ($rolUsuario != $_ENV['ROOT']){
                if ($buscar==''){
                $articulos = Articulo::join('categorias','articulos.idcategoria','=','categorias.id')
                ->select('articulos.id',
                'articulos.idcategoria',
                'articulos.codigo',
                'articulos.nombre',
                'categorias.nombre as nombre_categoria',
                'articulos.precio_venta',
                'articulos.stock',
                'articulos.descripcion',
                'articulos.tipo_producto',
                'articulos.umedida',
                'articulos.exi_min',
                'articulos.exi_max',
                'articulos.garantia',
                'articulos.tiempo_garantia',
                'articulos.cuenta_inventario',
                'articulos.cuenta_venta',
                'articulos.cuenta_costoventa',
                'articulos.cuenta_subproducto',
                'articulos.cuenta_contable1',
                'articulos.precio_venta',
                'articulos.condicion')
                ->orderBy('articulos.id', 'desc')->where('articulos.idEmpresa','=', $idEmpresa);
                if ($ensamble == 1) {
                    $articulos = $articulos->where('articulos.precio_venta','=', 1);
                }
                $articulos = $articulos->paginate(10);
                }
                else{
                    $articulos = Articulo::join('categorias','articulos.idcategoria','=','categorias.id')
                    ->select('articulos.id',
                'articulos.idcategoria',
                'articulos.codigo',
                'articulos.nombre',
                'categorias.nombre as nombre_categoria',
                'articulos.precio_venta',
                'articulos.stock',
                'articulos.descripcion',
                'articulos.tipo_producto',
                'articulos.umedida',
                'articulos.exi_min',
                'articulos.exi_max',
                'articulos.garantia',
                'articulos.tiempo_garantia',
                'articulos.cuenta_inventario',
                'articulos.cuenta_venta',
                'articulos.cuenta_costoventa',
                'articulos.cuenta_subproducto',
                'articulos.cuenta_contable1',
                'articulos.precio_venta',
                'articulos.condicion')
                ->where('articulos.'.$criterio, 'like', '%'. $buscar . '%')
                ->where('articulos.idEmpresa','=', $idEmpresa);
                if ($ensamble == 1) {
                    $articulos = $articulos->where('articulos.precio_venta','=', 1);
                }
                $articulos = $articulos->orderBy('articulos.id', 'desc')->paginate(10);
                }
         }else{
                if ($buscar==''){
                $articulos = Articulo::join('categorias','articulos.idcategoria','=','categorias.id')
                ->select('articulos.id',
                'articulos.idcategoria',
                'articulos.codigo',
                'articulos.nombre',
                'categorias.nombre as nombre_categoria',
                'articulos.precio_venta',
                'articulos.stock',
                'articulos.descripcion',
                'articulos.tipo_producto',
                'articulos.umedida',
                'articulos.exi_min',
                'articulos.exi_max',
                'articulos.garantia',
                'articulos.tiempo_garantia',
                'articulos.cuenta_inventario',
                'articulos.cuenta_venta',
                'articulos.cuenta_costoventa',
                'articulos.cuenta_subproducto',
                'articulos.cuenta_contable1',
                'articulos.precio_venta',
                'articulos.condicion');
                if ($ensamble == 1) {
                    $articulos = $articulos->where('articulos.precio_venta','=', 1);
                }
                $articulos = $articulos->orderBy('articulos.id', 'desc')->paginate(10);
                }
                else{
                    $articulos = Articulo::join('categorias','articulos.idcategoria','=','categorias.id')
                    ->select('articulos.id',
                'articulos.idcategoria',
                'articulos.codigo',
                'articulos.nombre',
                'categorias.nombre as nombre_categoria',
                'articulos.precio_venta',
                'articulos.stock',
                'articulos.descripcion',
                'articulos.tipo_producto',
                'articulos.umedida',
                'articulos.exi_min',
                'articulos.exi_max',
                'articulos.garantia',
                'articulos.tiempo_garantia',
                'articulos.cuenta_inventario',
                'articulos.cuenta_venta',
                'articulos.cuenta_costoventa',
                'articulos.cuenta_subproducto',
                'articulos.cuenta_contable1',
                'articulos.precio_venta',
                'articulos.condicion')
                    ->where('articulos.'.$criterio, 'like', '%'. $buscar . '%');
                    if ($ensamble == 1) {
                        $articulos = $articulos->where('articulos.precio_venta','=', 1);
                    }
                    $articulos = $articulos->orderBy('articulos.id', 'desc')->paginate(10);
                }
         }
        
        

        return [
            'pagination' => [
                'total'        => $articulos->total(),
                'current_page' => $articulos->currentPage(),
                'per_page'     => $articulos->perPage(),
                'last_page'    => $articulos->lastPage(),
                'from'         => $articulos->firstItem(),
                'to'           => $articulos->lastItem(),
            ],
            'articulos' => $articulos
        ];
    }

    public function listarArticulo(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $rolUsuario = Auth::user()->idrol;
        $idEmpresa = Auth::user()->idEmpresa;
        $buscar = $request->buscar;
        $criterio = $request->criterio;
        
        if ($buscar==''){
            $articulos = Articulo::join('categorias','articulos.idcategoria','=','categorias.id')
            ->select('articulos.id',
                'articulos.idcategoria',
                'articulos.codigo',
                'articulos.nombre',
                'categorias.nombre as nombre_categoria',
                'articulos.precio_venta',
                'articulos.stock',
                'articulos.descripcion',
                'articulos.tipo_producto',
                'articulos.umedida',
                'articulos.exi_min',
                'articulos.exi_max',
                'articulos.garantia',
                'articulos.tiempo_garantia',
                'articulos.cuenta_inventario',
                'articulos.cuenta_venta',
                'articulos.cuenta_costoventa',
                'articulos.cuenta_subproducto',
                'articulos.cuenta_contable1',
                'articulos.precio_venta',
                'articulos.condicion'
            )
            ->where('articulos.idEmpresa','=', $idEmpresa)
            ->orderBy('articulos.id', 'desc')->paginate(10);
        }
        else{
            $articulos = Articulo::join('categorias','articulos.idcategoria','=','categorias.id')
            ->select('articulos.id',
                'articulos.idcategoria',
                'articulos.codigo',
                'articulos.nombre',
                'categorias.nombre as nombre_categoria',
                'articulos.precio_venta',
                'articulos.stock',
                'articulos.descripcion',
                'articulos.tipo_producto',
                'articulos.umedida',
                'articulos.exi_min',
                'articulos.exi_max',
                'articulos.garantia',
                'articulos.tiempo_garantia',
                'articulos.cuenta_inventario',
                'articulos.cuenta_venta',
                'articulos.cuenta_costoventa',
                'articulos.cuenta_subproducto',
                'articulos.cuenta_contable1',
                'articulos.precio_venta',
                'articulos.condicion')
            ->where('articulos.'.$criterio, 'like', '%'. $buscar . '%')
            ->where('articulos.idEmpresa','=', $idEmpresa)
            ->orderBy('articulos.id', 'desc')->paginate(10);
        }
        

        return ['articulos' => $articulos];
    }
 
    public function listarArticuloVenta(Request $request)
    {
        if (!$request->ajax()) return redirect('/');

        $buscar = $request->buscar;
        $criterio = $request->criterio;
        $rolUsuario = Auth::user()->idrol;
        $idEmpresa = Auth::user()->idEmpresa;
        
        if ($buscar==''){
            $articulos = Articulo::join('categorias','articulos.idcategoria','=','categorias.id')
            ->select('articulos.id','articulos.idcategoria','articulos.codigo','articulos.nombre','categorias.nombre as nombre_categoria','articulos.precio_venta','articulos.stock','articulos.descripcion','articulos.condicion')
            ->where('articulos.stock','>','0')
            ->where('articulos.idEmpresa','=', $idEmpresa)
            ->orderBy('articulos.id', 'desc')->paginate(10);
        }
        else{
            $articulos = Articulo::join('categorias','articulos.idcategoria','=','categorias.id')
            ->select('articulos.id','articulos.idcategoria','articulos.codigo','articulos.nombre','categorias.nombre as nombre_categoria','articulos.precio_venta','articulos.stock','articulos.descripcion','articulos.condicion')
            ->where('articulos.'.$criterio, 'like', '%'. $buscar . '%')
            ->where('articulos.stock','>','0')
            ->where('articulos.idEmpresa','=', $idEmpresa)
            ->orderBy('articulos.id', 'desc')->paginate(10);
        }
        

        return ['articulos' => $articulos];
    }

    public function listarPdf(){
        $rolUsuario = Auth::user()->idrol;
        $idEmpresa = Auth::user()->idEmpresa;
        $articulos = Articulo::join('categorias','articulos.idcategoria','=','categorias.id')
            ->select('articulos.id','articulos.idcategoria','articulos.codigo','articulos.nombre',
            'categorias.nombre as nombre_categoria','articulos.precio_venta','articulos.stock',
            'articulos.descripcion','articulos.condicion')
            ->where('articulos.idEmpresa','=', $idEmpresa)
            ->orderBy('articulos.nombre', 'asc')->get();

        //$cont=Articulo::count();
        $cont=sizeof($articulos);

        $pdf = \PDF::loadView('pdf.articulospdf',['articulos'=>$articulos,'cont'=>$cont])->setPaper('a4', 'portrait');
        return $pdf->download('articulos.pdf');
    }

    public function buscarArticulo(Request $request){
        if (!$request->ajax()) return redirect('/');
        $rolUsuario = Auth::user()->idrol;
        $idEmpresa = Auth::user()->idEmpresa;
        $filtro = $request->filtro;
        $articulos = Articulo::where('codigo','=', $filtro)->where('idEmpresa','=', $idEmpresa)
        ->select('id','nombre')->orderBy('nombre', 'asc')->take(1)->get();

        return ['articulos' => $articulos];
    }

    public function buscarArticuloVenta(Request $request){
        if (!$request->ajax()) return redirect('/');
        $rolUsuario = Auth::user()->idrol;
        $idEmpresa = Auth::user()->idEmpresa;
        $filtro = $request->filtro;
        $articulos = Articulo::where('codigo','=', $filtro)
        ->select('id','nombre','stock','precio_venta')
        ->where('idEmpresa','=', $idEmpresa)
        ->where('stock','>','0')
        ->orderBy('nombre', 'asc')
        ->take(1)->get();

        return ['articulos' => $articulos];
    }
    
    public function store(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
         $rolUsuario = Auth::user()->idrol;
         $idEmpresa = Auth::user()->idEmpresa;
        $articulo = new Articulo();
        $articulo->idcategoria = $request->idcategoria;
        $articulo->codigo = $request->codigo;
        $articulo->nombre = $request->nombre;
        $articulo->precio_venta = $request->precio_venta;
        $articulo->stock = $request->stock;
        $articulo->descripcion = $request->descripcion;
        $articulo->tipo_producto = $request->tipoProducto;
        $articulo->umedida = $request->unidadMedida;
        $articulo->exi_min = $request->eMinima;
        $articulo->exi_max = $request->eMaxima;
        $articulo->garantia = $request->garantia;
        $articulo->tiempo_garantia = $request->tiempoGarantia;
        $articulo->cuenta_inventario = $request->cuentaInventario;
        $articulo->cuenta_costoventa = $request->cuentaCostoVenta;
        $articulo->cuenta_subproducto = $request->cuentaSubProducto;
        $articulo->cuenta_contable1 = $request->cuentaContable;
        $articulo->cuenta_venta = $request->cuentaVenta;
        $articulo->condicion = '1';
        if ($rolUsuario == $_ENV['ROOT']){
            $articulo->idEmpresa = $request->empresa;
        }else{
            $articulo->idEmpresa =  $idEmpresa;
        }
       
        $articulo->save();
    }
    public function update(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $articulo = Articulo::findOrFail($request->id);
        $articulo->idcategoria = $request->idcategoria;
        $articulo->codigo = $request->codigo;
        $articulo->nombre = $request->nombre;
        $articulo->precio_venta = $request->precio_venta;
        $articulo->stock = $request->stock;
        $articulo->descripcion = $request->descripcion;
        $articulo->tipo_producto = $request->tipoProducto;
        $articulo->umedida = $request->unidadMedida;
        $articulo->exi_min = $request->eMinima;
        $articulo->exi_max = $request->eMaxima;
        $articulo->garantia = $request->garantia;
        $articulo->tiempo_garantia = $request->tiempoGarantia;
        $articulo->cuenta_inventario = $request->cuentaInventario;
        $articulo->cuenta_costoventa = $request->cuentaCostoVenta;
        $articulo->cuenta_subproducto = $request->cuentaSubProducto;
        $articulo->cuenta_contable1 = $request->cuentaContable;
        $articulo->cuenta_venta = $request->cuentaVenta;
        $articulo->condicion = '1';
        $articulo->save();
    }

    public function desactivar(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $articulo = Articulo::findOrFail($request->id);
        $articulo->condicion = '0';
        $articulo->save();
    }

    public function activar(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $articulo = Articulo::findOrFail($request->id);
        $articulo->condicion = '1';
        $articulo->save();
    }

     public function autoCompleteProducto(Request $request){
        if (!$request->ajax()) return redirect('/');
            if ($request->tipoCompra == 1 || $request->tipoCompra == 3  || $request->tipo == "AJUSTE" ) {
                $productos = Articulo::select(
                'articulos.id',
                'articulos.codigo',
                'articulos.nombre',
                'articulos.precio_venta',
                'articulos.garantia',
                'articulos.tipo_producto'
                )
                ->where('articulos.idEmpresa','=', Auth::user()->idEmpresa)
                ->where(DB::raw("CONCAT(codigo,nombre)"), 'like', '%'. $request->parametro . '%')
                ->orderBy('nombre', 'asc')->get();
            }else if($request->tipo == "ENSAMBLE") {
                $productos = Articulo::
                join('in_exis_productos','articulos.id','=','in_exis_productos.idProducto')
                ->select(
                'articulos.id',
                'articulos.codigo',
                'articulos.nombre',
                'articulos.precio_venta',
                'articulos.garantia',
                'articulos.tipo_producto',
                'in_exis_productos.existencia',
                'in_exis_productos.costo_promedio'
                )
                ->where('articulos.idEmpresa','=', Auth::user()->idEmpresa)
                // ->where('in_exis_productos.idBodega','=', 1) //BODEGA GENERAL
                ->where(DB::raw("CONCAT(codigo,nombre)"), 'like', '%'. $request->parametro . '%')
                ->orderBy('nombre', 'asc')->get();
            }else if($request->tipo == "TRASLADO") {
                $productos = Articulo::join('in_exis_productos', 'articulos.id', '=', 'in_exis_productos.idProducto')
                ->join('in_bodega', 'in_exis_productos.idBodega', '=', 'in_bodega.id')
                ->join('tipoprecio', 'in_bodega.idTipoPrecio', '=', 'tipoprecio.id')
                ->join('sub_tipo_precio_detalle', 'tipoprecio.id', '=', 'sub_tipo_precio_detalle.tipo_precio')
                ->where('articulos.idEmpresa', '=', Auth::user()->idEmpresa)
                ->where('in_exis_productos.idBodega', '=', $request->idBodega)
                ->where(DB::raw("CONCAT(articulos.codigo,articulos.nombre)"), 'like', '%'. $request->parametro . '%')
                ->select(
                    'articulos.id',
                    'articulos.codigo',
                    'articulos.nombre',
                    'articulos.precio_venta',
                    'articulos.garantia',
                    'articulos.idcategoria',
                    'articulos.tipo_producto',
                    'articulos.cuenta_contable1',
                    'in_exis_productos.existencia',
                    'in_exis_productos.costo_promedio',
                    'sub_tipo_precio_detalle.precio_nuevo as precio',
                    'sub_tipo_precio_detalle.precio_nuevo_min',
                    'sub_tipo_precio_detalle.precio_nuevo_max'
                )
                ->orderBy('articulos.nombre', 'asc')->get();
            }else{
                //VENTA
                
                $productos = Articulo::join('in_exis_productos', 'articulos.id', '=', 'in_exis_productos.idProducto')
                ->leftJoin('sub_tipo_precio_detalle', function($join) use ($request) {
                    if ($request->idSucursal && $request->idSucursal != 0) {
                        $sucursal = SucursalCliente::find($request->idSucursal);
                        $tipoPrecio = $sucursal->idTipoPrecio;
                        $join->on('articulos.id', '=', 'sub_tipo_precio_detalle.producto')
                             ->where('sub_tipo_precio_detalle.tipo_precio', '=', $tipoPrecio);
                    } else {
                        // Si la sucursal es 0, hacer leftJoin sin filtrar por tipo_precio_id
                        $join->on('articulos.id', '=', 'sub_tipo_precio_detalle.producto');
                    }
                })
                ->where('articulos.idEmpresa', '=', Auth::user()->idEmpresa)
                ->where('in_exis_productos.idBodega', '=', $request->idBodega)
                ->where(DB::raw("CONCAT(codigo,nombre)"), 'like', '%'. $request->parametro . '%')
                ->select(
                    'articulos.id',
                    'articulos.codigo',
                    'articulos.nombre',
                    'articulos.precio_venta',
                    'articulos.garantia',
                    'articulos.idcategoria',
                    'articulos.tipo_producto',
                    'articulos.cuenta_contable1',
                    'in_exis_productos.existencia',
                    'in_exis_productos.costo_promedio',
                    'sub_tipo_precio_detalle.precio_nuevo as precio',
                    'sub_tipo_precio_detalle.precio_nuevo_min',
                    'sub_tipo_precio_detalle.precio_nuevo_max'
                )
                ->with('ensamble')
                ->with('ensamble.subArticulosEnsamble.detalleProducto')
                ->orderBy('nombre', 'asc')->get(); 
            }
           
        // }
        
        
        return ['productos' => $productos];
    }

    //TIPOS DE PRECIO

    public function indexTipoPrecioDetalle(Request $request)
    {
       if (!$request->ajax()) return redirect('/');

        $buscar = $request->buscar;
        $criterio = $request->criterio;
        $bodegaEmpleado = $this->getBodegaEmpleadoSelf();
        $bodegas = array();
        foreach($bodegaEmpleado as $bod){
            array_push($bodegas,"".$bod->id_bodega);
        }
        if ($buscar==''){
            // $tipos = TipoPrecioDetalle::orderBy('id', 'desc')
            // ->with('producto')
            // ->with('tipoPrecio')
            // ->paginate(10);
            $tipos = TipoPrecioDetalle::join('tipoPrecio','sub_tipo_precio_detalle.tipo_precio','=','tipoPrecio.id')
            ->select('sub_tipo_precio_detalle.id',
            'sub_tipo_precio_detalle.tipo_precio',
            'sub_tipo_precio_detalle.producto',
            'sub_tipo_precio_detalle.precio_nuevo',
            'sub_tipo_precio_detalle.precio_nuevo_min',
            'sub_tipo_precio_detalle.precio_nuevo_max'
            )
            ->with('producto')
            ->with('tipoPrecio')
            // ->whereIn('in_bodega.id', $bodegas)
            ->orderBy('sub_tipo_precio_detalle.id', 'desc')
            ->paginate(10);
        }
        else{
            $tipos = TipoPrecioDetalle::join('tipoPrecio','sub_tipo_precio_detalle.tipo_precio','=','tipoPrecio.id')
            ->select('sub_tipo_precio_detalle.id',
            'sub_tipo_precio_detalle.tipo_precio',
            'sub_tipo_precio_detalle.producto',
            'sub_tipo_precio_detalle.precio_nuevo',
            'sub_tipo_precio_detalle.precio_nuevo_min',
            'sub_tipo_precio_detalle.precio_nuevo_max'
            )
            ->with('producto')
            ->with('tipoPrecio');
            // ->whereIn('in_bodega.id', $bodegas)
           if ($criterio == "producto"){
            $tipos = $tipos ->whereHas('producto', function ($query) use ($buscar) {
                $query->where('nombre', 'like', '%'. $buscar . '%');
                });
           }else if ($criterio == "codProducto"){
            $tipos = $tipos ->whereHas('producto', function ($query) use ($buscar) {
                $query->where('codigo', 'like', '%'. $buscar . '%');
                });
           }else  {
            $tipos = $tipos ->whereHas('tipoPrecio', function ($query) use ($buscar) {
                $query->where('tipo', 'like', '%'. $buscar . '%');
                });
           }
            $tipos = $tipos->orderBy('sub_tipo_precio_detalle.id', 'desc')
            ->paginate(10);
        }
        
        return [
            'pagination' => [
                'total'        => $tipos->total(),
                'current_page' => $tipos->currentPage(),
                'per_page'     => $tipos->perPage(),
                'last_page'    => $tipos->lastPage(),
                'from'         => $tipos->firstItem(),
                'to'           => $tipos->lastItem(),
            ],
            'tiposPrecios' => $tipos
        ];
    }

    public function selectTipoPrecio(Request $request)
    {
       if (!$request->ajax()) return redirect('/');
       $tipos = ClienteTipo::select('id','tipo as tipo_precio')
       ->orderBy('tipo', 'asc')->get();
    //    ->paginate(10);
        
        return [
            'tiposPrecios' => $tipos
        ];
    }
    public function getBodegaEmpleadoSelf()
    {
        $bodega = BodegaEmpleado::where("id_empleado", "=", Auth::user()->id)->get();
        return $bodega;
    }

    public function storeTipoPrecioDetalle(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $precioDetalle = new TipoPrecioDetalle();
        $precioDetalle->tipo_precio = $request->idTipoPrecio;
        $precioDetalle->producto = $request->idProducto;
        $precioDetalle->precio_nuevo = $request->precioPred;
        $precioDetalle->precio_nuevo_min = $request->precioMin;
        $precioDetalle->precio_nuevo_max = $request->precioMax;
        $precioDetalle->save();
    }

    public function deleteTipoPrecioDetalle(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $call = TipoPrecioDetalle::findOrFail($request->id);
        $call->delete();
    }

    public function updateTipoPrecioDetalle(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $precioDetalle = TipoPrecioDetalle::findOrFail($request->id);
        $precioDetalle->tipo_precio = $request->idTipoPrecio;
        $precioDetalle->producto = $request->idProducto;
        $precioDetalle->precio_nuevo = $request->precioPred;
        $precioDetalle->precio_nuevo_min = $request->precioMin;
        $precioDetalle->precio_nuevo_max = $request->precioMax;
        $precioDetalle->save();
    }

    //PLUS PRODUCTO
    public function indexPlusProducto(Request $request)
    {
       if (!$request->ajax()) return redirect('/');

        $buscar = $request->buscar;
        $criterio = $request->criterio;
        
        if ($buscar==''){
            $plus = PlusProducto::orderBy('id', 'desc')->with('producto')->with('cliente')->paginate(10);
        }
        else{
            $plus = PlusProducto::where($criterio, 'like', '%'. $buscar . '%')->with('producto')->with('cliente')->orderBy('id', 'desc')->paginate(10);
        }
        
        return [
            'pagination' => [
                'total'        => $plus->total(),
                'current_page' => $plus->currentPage(),
                'per_page'     => $plus->perPage(),
                'last_page'    => $plus->lastPage(),
                'from'         => $plus->firstItem(),
                'to'           => $plus->lastItem(),
            ],
            'plus' => $plus
        ];
    }
    public function storePlusProducto(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $plus = new PlusProducto();
        $plus->idCliente = $request->idCliente;
        $plus->idProducto = $request->idProducto;
        $plus->cod_plu = $request->codigo;
        $plus->save();
    }

    public function updatePlusProducto(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $plus = PlusProducto::findOrFail($request->id);
        $plus->idCliente = $request->idCliente;
        $plus->idProducto = $request->idProducto;
        $plus->cod_plu = $request->codigo;
        $plus->save();
    }

    public function getPlusProducto(Request $request) {
        $idProducto = $request->idProducto;
        $idCliente = $request->idCliente;
        $plusProducto  = PlusProducto::where('idCliente','=',$idCliente)
        ->where('idProducto','=',$idProducto)
        ->first();
        return ['plusProducto' => $plusProducto];
     }
}
