<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use App\ClienteCobro;

class ClienteCobroController extends Controller
{
        public function index(Request $request)
    {
       if (!$request->ajax()) return redirect('/');

        $buscar = $request->buscar;
        $criterio = $request->criterio;
        
        if ($buscar==''){
            $cobros = ClienteCobro::orderBy('id', 'desc')->where('idEmpresa','=', Auth::user()->idEmpresa)->paginate(10);
        }
        else{
            $cobros = ClienteCobro::where($criterio, 'like', '%'. $buscar . '%')->where('idEmpresa','=', Auth::user()->idEmpresa)->orderBy('id', 'desc')->paginate(10);
        }
        
        return [
            'pagination' => [
                'total'        => $cobros->total(),
                'current_page' => $cobros->currentPage(),
                'per_page'     => $cobros->perPage(),
                'last_page'    => $cobros->lastPage(),
                'from'         => $cobros->firstItem(),
                'to'           => $cobros->lastItem(),
            ],
            'cobros' => $cobros
        ];
    }


    public function listarPdf(){
        $cobros = ClienteCobro::where('idEmpresa','=', Auth::user()->idEmpresa)->orderBy('codigo', 'asc')->get();        
        $cont=ClienteCobro::count();

        $pdf = \PDF::loadView('pdf.Cobrospdf',['cobros'=>$cobros,'cont'=>$cont])->setPaper('a4', 'portrait');
        return $pdf->download('Cobros.pdf');
    }

    public function store(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $cobro = new ClienteCobro();
        $cobro->codigo = $request->codigo;
        $cobro->descripcion = $request->descripcion;
        $cobro->descuento = $request->descuento;
        $cobro->dias = $request->dias;
        $cobro->idEmpresa = Auth::user()->idEmpresa;
        $cobro->estado = "1";
        $cobro->save();
    }

    public function update(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $cobro = ClienteCobro::findOrFail($request->id);
        $cobro->codigo = $request->codigo;
        $cobro->descripcion = $request->descripcion;
        $cobro->descuento = $request->descuento;
        $cobro->dias = $request->dias;
        $cobro->save();
    }
    public function desactivar(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $cobro = ClienteCobro::findOrFail($request->id);
        $cobro->estado = 0;
        $cobro->save();
    }

    public function activar(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $cobro = ClienteCobro::findOrFail($request->id);
        $cobro->estado = 1;
        $cobro->save();
    }

     public function selectCobro(Request $request){
        if (!$request->ajax()) return redirect('/');
        $cobros = ClienteCobro::select('id','codigo','descripcion')
        ->where('estado','=','1')
        ->where('idEmpresa','=', Auth::user()->idEmpresa)
        ->orderBy('codigo', 'asc')->get();
        return ['cobros' => $cobros];
    }
}

