<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\CuentaContable;
use Illuminate\Support\Facades\DB;
use App\Http\Controllers\Controller;

class CuentaContableController extends Controller
{
     public function index(Request $request)
    {
       if (!$request->ajax()) return redirect('/');

        $buscar = $request->buscar;
        $criterio = $request->criterio;
        
        if ($buscar==''){

           /* $cuentas = CuentaContable::select('*',DB::raw("(select nombre  from conta_cuentas_contables where id = cc.padre_cuenta) as  nombrePadre FROM conta_cuentas_contables cc"))
            ->orderBy('id', 'desc')
            ->where('idEmpresa','=', Auth::user()->idEmpresa)
            ->paginate(10);*/

          $cuentas = DB::table("conta_cuentas_contables as cc")
          ->select("*",DB::raw("(select nombre  from conta_cuentas_contables where id = cc.padre_cuenta) as  nombrePadre"))
          ->where('idEmpresa','=', Auth::user()->idEmpresa)
          ->orderBy('grupo_contable', 'asc')
          ->orderBy('codigo', 'asc')
          ->paginate(10);
        }
        else{
            $cuentas =DB::table("conta_cuentas_contables as cc")
            ->select("*",DB::raw("(select nombre  from conta_cuentas_contables where id = cc.padre_cuenta) as  nombrePadre"))
            ->where($criterio, 'like', '%'. $buscar . '%')
            ->where('idEmpresa','=', Auth::user()->idEmpresa)
            ->orderBy('grupo_contable', 'asc')
          	->orderBy('codigo', 'asc')
            ->paginate(10);
        }
        

        return [
            'pagination' => [
                'total'        => $cuentas->total(),
                'current_page' => $cuentas->currentPage(),
                'per_page'     => $cuentas->perPage(),
                'last_page'    => $cuentas->lastPage(),
                'from'         => $cuentas->firstItem(),
                'to'           => $cuentas->lastItem(),
            ],
            'cuentas' => $cuentas
        ];
    }


    public function listarPdf(){
        $cuentas = DB::table("conta_cuentas_contables as cc")
          ->select("*",DB::raw("(select nombre  from conta_cuentas_contables where id = cc.padre_cuenta) as  nombrePadre"))
          ->where('idEmpresa','=', Auth::user()->idEmpresa)
          ->orderBy('grupo_contable', 'asc')
          ->orderBy('codigo', 'asc')->get();      
        $cont=CuentaContable::where('idEmpresa','=', Auth::user()->idEmpresa)->count();

        $pdf = \PDF::loadView('pdf.cuentasContablespdf',['cuentas'=>$cuentas,'cont'=>$cont])->setPaper('a4', 'portrait');
        return $pdf->download('CuentaContables.pdf');
    }

    public function store(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $cuenta = new CuentaContable();
        $cuenta->codigo = $request->codigo;
        $cuenta->nombre = $request->nombre;
        $cuenta->tipo_cuenta = $request->tipoCuenta;
        $cuenta->nivel_cuenta = $request->nivel;
        $cuenta->padre_cuenta = $request->idCuentaPadre;
        $cuenta->grupo_contable = $request->grupoContable;
        $cuenta->idEmpresa = Auth::user()->idEmpresa;
        $cuenta->estado = "1";
        $cuenta->save();
    }

    public function update(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $cuenta = CuentaContable::findOrFail($request->id);
        $cuenta->codigo = $request->codigo;
        $cuenta->nombre = $request->nombre;
        $cuenta->tipo_cuenta = $request->tipoCuenta;
        $cuenta->nivel_cuenta = $request->nivel;
        $cuenta->padre_cuenta = $request->idCuentaPadre;
        $cuenta->grupo_contable = $request->grupoContable;
        $cuenta->save();
    }
    public function desactivar(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $cuenta = CuentaContable::findOrFail($request->id);
        $cuenta->estado = 0;
        $cuenta->save();
    }

    public function activar(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $cuenta = CuentaContable::findOrFail($request->id);
        $cuenta->estado = 1;
        $cuenta->save();
    }

    public function autoCompleteCuentaPadre(Request $request){
        if (!$request->ajax()) return redirect('/');
        $cuentas = CuentaContable::select('id','codigo','nombre','tipo_cuenta')
        ->where('idEmpresa','=', Auth::user()->idEmpresa)
        ->where('estado','=', 1)
        ->where(DB::raw("CONCAT(codigo,nombre)"), 'like', '%'. $request->parametro . '%')
        ->distinct('id')
        ->orderBy('id', 'asc')->get();
        return ['cuentas' => $cuentas];
    }
}
