<?php

namespace App\Http\Controllers;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;
use App\Empresa;
use Illuminate\Http\Request;

class DashboardController extends Controller
{
    public function __invoke(Request $request)
    {
        $anio=date('Y');
        $ingresos=DB::table('fc_factura as i')
        ->select(DB::raw('MONTH(i.created_at) as mes'),
        DB::raw('YEAR(i.created_at) as anio'),
        DB::raw('SUM(i.sub_total_fc) as total'))
        ->whereYear('i.created_at',$anio)
        ->where('i.anulada','=',0)
        ->groupBy(DB::raw('MONTH(i.created_at)'),DB::raw('YEAR(i.created_at)'))
        ->get();

        $ventas=DB::table('ostc_agenda as v')
        ->select(DB::raw('MONTH(v.created_at) as mes'),
        DB::raw('YEAR(v.created_at) as anio'),
        DB::raw('COUNT(v.idPaciente) as total'))
        ->whereYear('v.created_at',$anio)
        ->where('v.estado','<>',2)
        ->groupBy(DB::raw('MONTH(v.created_at)'),DB::raw('YEAR(v.created_at)'))
        ->get();
        $empresa = Empresa::findOrFail(Auth::user()->idEmpresa);
        return ['ingresos'=>$ingresos,'ventas'=>$ventas,'anio'=>$anio,'empresa'=>$empresa];      

    }
}
