<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;
use App\PartidaContable;
use App\PartidaContableDetalle;
class PartidaContableController extends Controller
{
    public function index(Request $request)
    {
        if (!$request->ajax()) return redirect('/');

        $buscar = $request->buscar;
        $criterio = $request->criterio;
        $anio = date("Y");
        $periodo = date("n");
        $numPartida = PartidaContable::select('num_partida')
        	->where('idEmpresa','=', Auth::user()->idEmpresa)
        	->where('periodo','=', $periodo)
        	->where('anio','=', $anio)
        	->orderBy('num_partida', 'desc')->first();
        if ($buscar==''){
            $partidas = PartidaContable::orderBy('num_partida', 'asc')->where('idEmpresa','=', Auth::user()->idEmpresa)->paginate(10);
        }
        else{
            $partidas = PartidaContable::where($criterio, 'like', '%'. $buscar . '%')->where('idEmpresa','=', Auth::user()->idEmpresa)->orderBy('num_partida', 'asc')->paginate(10);
        }
        
        return [
            'pagination' => [
                'total'        => $partidas->total(),
                'current_page' => $partidas->currentPage(),
                'per_page'     => $partidas->perPage(),
                'last_page'    => $partidas->lastPage(),
                'from'         => $partidas->firstItem(),
                'to'           => $partidas->lastItem(),
            ],
            'partidas' => $partidas,
            'numPartida'=>$numPartida
        ];
    }

    public function listarPdf(){/*
        $idEmpresa = Auth::user()->idEmpresa;
        $partidas = partida::join('personas','partidas.idproveedor','=','personas.id')
            ->join('users','partidas.idusuario','=','users.id')
            ->select('partidas.id','partidas.tipo_comprobante','partidas.serie_comprobante',
            'partidas.num_comprobante','partidas.fecha_hora','partidas.impuesto','partidas.total',
            'partidas.estado','personas.nombre','users.usuario')
             ->where('partidas.idEmpresa','=', $idEmpresa)
            ->orderBy('partidas.id', 'asc')->get();
        //$cont=partida::count();
        $cont=sizeof($partidas);

        $pdf = \PDF::loadView('pdf.partidaspdf',['partidas'=>$partidas,'cont'=>$cont])->setPaper('a4', 'landscape');
        return $pdf->download('partidas.pdf');*/
    }

    public function pdf(Request $request,$id){
       /* $partida = partida::join('personas','partidas.idproveedor','=','personas.id')
        ->join('users','partidas.idusuario','=','users.id')
        ->select('partidas.id','partidas.tipo_comprobante','partidas.serie_comprobante',
        'partidas.num_comprobante','partidas.created_at','partidas.impuesto','partidas.total',
        'partidas.estado','personas.nombre','personas.tipo_documento','personas.num_documento',
        'personas.direccion','personas.email',
        'personas.telefono','users.usuario')
        ->where('partidas.id','=',$id)
        ->orderBy('partidas.id', 'desc')->take(1)->get();

        $detalles = Detallepartida::join('articulos','detalle_partidas.idarticulo','=','articulos.id')
        ->select('detalle_partidas.cantidad','detalle_partidas.precio',
        'articulos.nombre as articulo')
        ->where('detalle_partidas.idpartida','=',$id)
        ->orderBy('detalle_partidas.id', 'desc')->get();

        $numpartida=partida::select('num_comprobante')->where('id',$id)->get();

        $pdf = \PDF::loadView('pdf.partida',['partida'=>$partida,'detalles'=>$detalles]);
        return $pdf->download('partida-'.$numpartida[0]->num_comprobante.'.pdf');*/
    }

    public function obtenerCabecera(Request $request){/*
        if (!$request->ajax()) return redirect('/');

        $id = $request->id;
        $partida = partida::join('personas','partidas.idproveedor','=','personas.id')
        ->join('users','partidas.idusuario','=','users.id')
        ->select('partidas.id','partidas.tipo_comprobante','partidas.serie_comprobante',
        'partidas.num_comprobante','partidas.fecha_hora','partidas.impuesto','partidas.total',
        'partidas.estado','personas.nombre','users.usuario')
        ->where('partidas.id','=',$id)
        ->orderBy('partidas.id', 'desc')->take(1)->get();
        
        return ['partida' => $partida];*/
    }

    public function obtenerDetalles(Request $request){/*
        if (!$request->ajax()) return redirect('/');

        $id = $request->id;
        $detalles = Detallepartida::join('articulos','detalle_partidas.idarticulo','=','articulos.id')
        ->select('detalle_partidas.cantidad','detalle_partidas.precio','articulos.nombre as articulo')
        ->where('detalle_partidas.idpartida','=',$id)
        ->orderBy('detalle_partidas.id', 'desc')->get();
        
        return ['detalles' => $detalles];
        */
    }

    public function store(Request $request)
    {
        if (!$request->ajax()) return redirect('/');

        try{
            DB::beginTransaction();
            $fecha1 = explode('/',$request->fecha);
            $anio = $fecha1[2];
        	$periodo = $fecha1[1];
        	$fecha1 = $fecha1[2].'-'.$fecha1[1].'-'.$fecha1[0];
            $partida = new PartidaContable();
            $partida->idEmpresa =  Auth::user()->idEmpresa;
            $partida->num_partida = $request->numPartida;
            $partida->anio = $anio;
            $partida->periodo = $periodo;
            $partida->fecha_partida =$fecha1;
            $partida->descripcion = $request->descripcion;
            $partida->fuente_trans = $request->moduloFuente;
            $partida->posteada = 0;
            $partida->save();


            $detalles = $request->detalle;//Array de detalles
            //Recorro todos los elementos

            foreach($detalles as $ep=>$det)
            {
                $detalle = new PartidaContableDetalle();
                $detalle->id_partida = $partida->id;
                $detalle->id_cuenta = $det['idCuenta'];
                $detalle->descripcion_linea = $det['concepto'];
                $detalle->tipo_referencia = $det['tipo'];
                $detalle->num_referencia_str = $det['numero'];
                $detalle->monto_debe = $det['debe'];
                $detalle->monto_haber = $det['haber'];            
                $detalle->save();
            }
            
            DB::commit();
            return 0;
        } catch (Exception $e){
            DB::rollBack();
            return 1;
        }
        
    }

    public function desactivar(Request $request)
    {/*
        if (!$request->ajax()) return redirect('/');
        $partida = partida::findOrFail($request->id);
        $partida->estado = 'Anulado';
        $partida->save();*/
    }
}
