<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;
use App\TrasladoInventario;
use App\ExistenciaProducto;
use App\DetalleTraslado;

class TrasladoInventarioController extends Controller
{
     public function index(Request $request)
    {
        if (!$request->ajax()) return redirect('/');

        $buscar = $request->buscar;
        $criterio = $request->criterio;
        $rolUsuario = Auth::user()->idrol;
        $idEmpresa = Auth::user()->idEmpresa;
        
         if ($buscar==''){
                $traslados = TrasladoInventario::join('in_bodega as bodegaOrigen','in_traslado_bod.idBodegaO','=','bodegaOrigen.id')
                ->join('in_bodega as bodegaDestino','in_traslado_bod.idBodegaD','=','bodegaDestino.id')
                ->join('conta_cuentas_contables','in_traslado_bod.idCuenta','=','conta_cuentas_contables.id')
                ->select('in_traslado_bod.id',
                		'bodegaOrigen.nombre as nombreBodega',
                		'bodegaDestino.nombre as nombreBodegaDestino',
                		'conta_cuentas_contables.nombre as nombreCuenta',
            			'in_traslado_bod.fecha_traslado',
            			'in_traslado_bod.num_documento',
            			'in_traslado_bod.concepto',
            			'in_traslado_bod.entrega',
            			'in_traslado_bod.recibe',
            			'in_traslado_bod.total_traslado')
                ->where('in_traslado_bod.idEmpresa','=', $idEmpresa)->orderBy('in_traslado_bod.id', 'desc')
                ->paginate(10);
            }
            else{
                $traslados =TrasladoInventario::join('in_bodega as bodegaOrigen','in_traslado_bod.idBodegaO','=','bodegaOrigen.id')
                ->join('conta_cuentas_contables','in_traslado_bod.idCuenta','=','conta_cuentas_contables.id')
                ->join('in_bodega as bodegaDestino','in_traslado_bod.idBodegaD','=','bodegaDestino.id')
                ->select('in_traslado_bod.id',
                		'bodegaOrigen.nombre as nombreBodega',
                		'bodegaDestino.nombre as nombreBodegaDestino',
                		'conta_cuentas_contables.nombre as nombreCuenta',
            			'in_traslado_bod.fecha_traslado',
            			'in_traslado_bod.num_documento',
            			'in_traslado_bod.concepto',
            			'in_traslado_bod.entrega',
            			'in_traslado_bod.recibe',
            			'in_traslado_bod.total_traslado')
                ->where('in_traslado_bod.idEmpresa','=', $idEmpresa)
                ->where("bodegaOrigen.".$criterio, 'like', '%'. $buscar . '%')
                ->orWhere("bodegaDestino.".$criterio, 'like', '%'. $buscar . '%')
                ->orderBy('in_traslado_bod.id', 'desc')->paginate(10);
            }
        
        return [
            'pagination' => [
                'total'        => $traslados->total(),
                'current_page' => $traslados->currentPage(),
                'per_page'     => $traslados->perPage(),
                'last_page'    => $traslados->lastPage(),
                'from'         => $traslados->firstItem(),
                'to'           => $traslados->lastItem(),
            ],
            'traslados' => $traslados
        ];
    }
   
      
    public function listarPdf(){
        /*$rolUsuario = Auth::user()->idrol;
        $idEmpresa = Auth::user()->idEmpresa;
        $traslados = traslado::join('personas','traslados.idcliente','=','personas.id')
            ->join('users','traslados.idusuario','=','users.id')
            ->select('traslados.id','traslados.tipo_comprobante','traslados.serie_comprobante',
            'traslados.num_comprobante','traslados.fecha_hora','traslados.impuesto','traslados.total',
            'traslados.estado','personas.nombre','users.usuario')
            ->where('traslados.idEmpresa','=', $idEmpresa)
            ->orderBy('traslados.id', 'desc')->get();
        //$cont=traslado::count();
        $cont=sizeof($traslados);

        $pdf = \PDF::loadView('pdf.trasladospdf',['traslados'=>$traslados,'cont'=>$cont])->setPaper('a4', 'landscape');
        return $pdf->download('traslados.pdf');*/
    }

    public function pdf(Request $request,$id){
        /*$traslado = traslado::join('personas','traslados.idcliente','=','personas.id')
        ->join('users','traslados.idusuario','=','users.id')
        ->select('traslados.id','traslados.tipo_comprobante','traslados.serie_comprobante',
        'traslados.num_comprobante','traslados.created_at','traslados.impuesto','traslados.total',
        'traslados.estado','personas.nombre','personas.tipo_documento','personas.num_documento',
        'personas.direccion','personas.email',
        'personas.telefono','users.usuario')
        ->where('traslados.id','=',$id)
        ->orderBy('traslados.id', 'desc')->take(1)->get();

        $detalles = Detalletraslado::join('articulos','detalle_traslados.idarticulo','=','articulos.id')
        ->select('detalle_traslados.cantidad','detalle_traslados.precio','detalle_traslados.descuento',
        'articulos.nombre as articulo')
        ->where('detalle_traslados.idtraslado','=',$id)
        ->orderBy('detalle_traslados.id', 'desc')->get();

        $numtraslado=traslado::select('num_comprobante')->where('id',$id)->get();

        $pdf = \PDF::loadView('pdf.traslado',['traslado'=>$traslado,'detalles'=>$detalles]);
        return $pdf->download('traslado-'.$numtraslado[0]->num_comprobante.'.pdf');*/
    }

    public function pdfTicket(Request $request,$id){
       /* $traslado = traslado::join('personas','traslados.idcliente','=','personas.id')
        ->join('users','traslados.idusuario','=','users.id')
        ->select('traslados.id','traslados.tipo_comprobante','traslados.serie_comprobante',
        'traslados.num_comprobante','traslados.created_at','traslados.impuesto','traslados.total',
        'traslados.estado','personas.nombre','personas.tipo_documento','personas.num_documento',
        'personas.direccion','personas.email',
        'personas.telefono','users.usuario')
        ->where('traslados.id','=',$id)
        ->orderBy('traslados.id', 'desc')->take(1)->get();

        $detalles = Detalletraslado::join('articulos','detalle_traslados.idarticulo','=','articulos.id')
        ->select('detalle_traslados.cantidad','detalle_traslados.precio','detalle_traslados.descuento',
        'articulos.nombre as articulo')
        ->where('detalle_traslados.idtraslado','=',$id)
        ->orderBy('detalle_traslados.id', 'desc')->get();

        $numtraslado=traslado::select('num_comprobante')->where('id',$id)->get();

        $pdf = \PDF::loadView('pdf.trasladoticket',['traslado'=>$traslado,'detalles'=>$detalles]);
        return $pdf->download('trasladoTicket-'.$numtraslado[0]->num_comprobante.'.pdf');*/
    }

    public function store(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
   
        $fecha1 = explode('/',$request->fechaTraslado);
        $fecha1 = $fecha1[2].'-'.$fecha1[1].'-'.$fecha1[0];
      	
        try{
            DB::beginTransaction();

            $traslado = new TrasladoInventario();
            $traslado->idEmpresa = Auth::user()->idEmpresa;
            $traslado->idBodegaO = $request->idBodega;
            $traslado->idBodegaD = $request->idBodegaDestino;
            $traslado->idCuenta = $request->idCuenta;
            $traslado->fecha_traslado =  $fecha1;
            $traslado->num_documento = $request->numDocumento;
            $traslado->concepto = $request->concepto;
            $traslado->entrega = $request->entrega;
            $traslado->recibe  = $request->recibe;
            $traslado->total_traslado  = $request->total;
            $traslado->save();

            $detalles = $request->detalle;
            

            foreach($detalles as $ep=>$det)
            {   
                $existencia = ExistenciaProducto::select('id','costo_promedio')
                ->where("idProducto", '=' ,$det['idProducto'])
                ->where("idBodega", '=' ,$request->idBodega)
                ->first();

               

                $existenciaProducto = ExistenciaProducto::where('idProducto','=',$det['idProducto'])->where('idBodega','=',$request->idBodega)->first();
                $existenciaProductoDestino = ExistenciaProducto::where('idProducto','=',$det['idProducto'])->where('idBodega','=',$request->idBodegaDestino)->first();
	                
		        //SACAMOS DE BODEGA ORIGEN
		      	$objExistencia = ExistenciaProducto::findOrFail($existenciaProducto['id']);
	            $objExistencia->existencia  = $objExistencia->existencia - $det['cantidad'];
	            $objExistencia->save();

	            //INGRESAMOS EN BODEGA DESTINO
	            if (is_null($existenciaProductoDestino)) {
	                $existencia = new ExistenciaProducto();
	                $existencia->idProducto = $det['idProducto'];
	                $existencia->idBodega = $request->idBodegaDestino;
	                $existencia->existencia = $det['cantidad'];
	                $existencia->costo_promedio = $det['precio'];         
	                $existencia->save();     
	            }else{
	                $existenciaNueva = $existenciaProductoDestino['existencia'] + $det['cantidad'];
	                $totalActual = $existenciaProductoDestino['existencia'] * $existenciaProductoDestino['costo_promedio'];
	                $totalNuevo = $totalActual + ($det['cantidad'] * $det['precio']);
	                $costoNuevo = $totalNuevo/$existenciaNueva;
	                $existenciaDestino = ExistenciaProducto::findOrFail($existenciaProductoDestino['id']);
	                $existenciaDestino->existencia = $existenciaNueva;
	                $existenciaDestino->costo_promedio = number_format($costoNuevo,2);      
	                $existenciaDestino->save();
	            }
                
                $detalle = new DetalleTraslado();
                $detalle->idTraslado = $traslado->id;
                $detalle->idProducto = $det['idProducto'];
                $detalle->concepto = $det['concepto'];
                $detalle->cantidad = $det['cantidad'];
                $detalle->costo_promedio = $existencia['costo_promedio']; 
                $detalle->precio_venta = $det['precioVenta'];
                $detalle->subtotal_venta = $det['totalLinea'];
                $detalle->subtotal_costo = $existencia['costo_promedio'] * $det['cantidad']; 

                $detalle->save();
            }
            DB::commit();
            return [
                'id' => $traslado->id
            ];
        } catch (Exception $e){
            DB::rollBack();
        }
    }

    public function desactivar(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $traslado = traslado::findOrFail($request->id);
        $traslado->estado = 'Anulado';
        $traslado->save();
    }

    public function getNewCorr(Request $request)
    {
        if (!$request->ajax()) return redirect('/');
        $newCorr = (TrasladoInventario::max('id') ?? 0) + 1;
        return [
            'newCorr' => $newCorr
        ];
    }
}
