<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Venta extends Model
{
    protected $table='fc_factura';
    protected $fillable =[
        'idEmpresa', 
        'idBodega',
        'clase_documento',
        'tipo_documento',
        'fecha_factura',
        'num_documento',
        'numreso',
        'numseriedoc',
        'idCliente',
        'id_suc_cliente',
        'idVendedor',
        'condicion_venta',
        'dias_credito',
        'fecha_vencimiento',
        'observaciones',
        'descuento_fc',
        'sub_total_fc',
        'iva_fc',
        'retencion_1',
        'percepcion_1',
        'retencion_10',
        'vta_nosuje',
        'vta_exentas',
        'vta_exporta',
        'vta_ctercero',
        'total_fc',
        'saldo_documento',
        'anulada',
        'contabilizada',
        'tipoPago',
        'tipoPago2',
        'tipoPago3',
        'tipoPago4',
        'tipoPago_cgratis',
        'tipoVenta',
        'ruta_cobro',
        'formapago_dte',
        'plazo_dte',
        'fovial',
        'cotrans',
        'idActivo',
        'facturaNombre',
        'codigoGeneracion',
        'numeroControl',
        'selloRecibido',
        'idBanco',
        'tipo_operacion',
        'clasificacion',
        'sector',
        'tipo_costo_gasto',
        'pais',
        'recintoFiscal',
        'regimenExportacion',
        'incoterm',
        'seguro',
        'flete',
        'esPrefactura',
        'ret13Iva'
    ];

    public function ventaCliente()
    {
        return $this->belongsTo(Cliente::class, 'idCliente', 'id');
    } 

    public function ventaUsuario()
    {
        return $this->belongsTo(Persona::class, 'idVendedor', 'id');
    } 
    
    public function sucursalCliente()
    {
        return $this->belongsTo(SucursalCliente::class, 'id_suc_cliente', 'id');
    } 
    
    public function bodega()
    {
        return $this->belongsTo(Bodega::class, 'idBodega', 'id');
    } 

    public function formaPago()
    {
        return $this->belongsTo(FormaPagoDte::class, 'formapago_dte', 'codigo');
    } 

    public function codicionVenta()
    {
        return $this->belongsTo(ClienteCobro::class, 'condicion_venta', 'codigo');
    } 

    public function documentoRelacionado()
    {
        return $this->hasMany(DocumentoRelacionado::class, 'idfactura', 'id');
    } 

    public function paisRelacion()
    {
        return $this->belongsTo(Pais::class, 'pais', 'cod_pais');
    } 

    public function incotermRelacion()
    {
        return $this->belongsTo(Incoterm::class, 'incoterm', 'cod_intcoter');
    } 
    public function recintoFiscalRelacion()
    {
        return $this->belongsTo(RecintoFiscal::class, 'recintoFiscal', 'cod_rfiscal');
    } 

    public function regimenRelacion()
    {
        return $this->belongsTo(RegimenExportacion::class, 'regimenExportacion', 'cod_regimen');
    } 
}
