import moment from "moment";
export default {
  getFechaActual(format) {
    var fecha = new Date(); //Fecha actual
    var mes = fecha.getMonth() + 1; //obteniendo mes
    var dia = fecha.getDate(); //obteniendo dia
    var anio = fecha.getFullYear(); //obteniendo año
    var fechaFinal = "";
    if (dia < 10) dia = "0" + dia; //agrega cero si el menor de 10
    if (mes < 10) mes = "0" + mes; //agrega cero si el menor de 10
    if (format == 1) {
      fechaFinal = anio + "-" + mes + "-" + dia;
    } else {
      fechaFinal = dia + "/" + mes + "/" + anio;
    }

    return fechaFinal;
    //console.log(fechaFinal);
  },

  formatDate(fecha) {
    //console.log(fecha);
    return moment(fecha).format("DD/MM/YYYY");
  },
  getTimeFromDate(fecha) {
    return moment(fecha).format("h:mm a");
  },

  formatDateTime(fecha) {
    //console.log(fecha);
    return moment(fecha).format("DD/MM/YYYY h:mm a");
  },
  getAge(dateString) {
    var today = new Date();
    var birthDate = new Date(dateString);
    var age = today.getFullYear() - birthDate.getFullYear();
    var m = today.getMonth() - birthDate.getMonth();
    if (m < 0 || (m === 0 && today.getDate() < birthDate.getDate())) {
      age--;
    }
    return age;
  },
  getNameTipoDocumento(valor) {
    switch (parseInt(valor)) {
      case 1:
        return "Facturas";
      case 2:
        return "Factura de Venta Simplificada";
      case 3:
        return "Comprobante de crédito fiscal";
      case 4:
        return "Nota de Remisión";
      case 5:
        return "Nota de Crédito";
      case 6:
        return "Nota Débito";
      case 7:
        return "Comprobante de retención";
      case 8:
        return "Comprobante de líquidación";
      case 9:
        return "Documento contable de liquidación";
      case 10:
        return "Tiquete de máquina registradora";
      case 11:
        return "Factura de Exportación";
      case 50:
        return "Cotización";
    }
  },
  getNameClaseDocumento(valor) {
    switch (parseInt(valor)) {
      case 1:
        return "Impreso por imprenta o tiquetes";
      case 2:
        return "Formulario único";
      case 3:
        return "FYDUCA";
    }
  },

  formatCurrency(value) {
    var formatter = new Intl.NumberFormat("en-US", {
      style: "currency",
      currency: "USD",

      // These options are needed to round to whole numbers if that's what you want.
      //minimumFractionDigits: 0, // (this suffices for whole numbers, but will print 2500.10 as $2,500.1)
      //maximumFractionDigits: 0, // (causes 2500.99 to be printed as $2,501)
    });
    return formatter.format(value);
  },

    roundNumber(number, decimalPlaces) {
		// console.log("Number " + number);
		// console.log("decimalPlaces " + decimalPlaces);
    let defaultDecimals = 2;

    // Verifica si el número no es válido
    if (isNaN(number) || number === undefined || number === null) {
        return parseFloat(0).toFixed(defaultDecimals);
    }

    if (decimalPlaces !== undefined) {
        defaultDecimals = decimalPlaces;
    }

    let factor = 10 ** defaultDecimals;
	// console.log("Factor redondedo " + factor);
	let result = Math.round((number + Number.EPSILON) * factor) / factor;
	// console.log("Resultado round number " + result);
    return result;
},

getFirstLastDayDate(type){
  // Get the current date
  var currentDate = new Date();

  // Set the date to the first day of the current month
  var firstDay = new Date(currentDate.getFullYear(), currentDate.getMonth(), 1);

  // Set the date to the last day of the current month
  var lastDay = new Date(currentDate.getFullYear(), currentDate.getMonth() + 1, 0);

  // Format the dates as YYYY-mm-dd
  // var firstDayFormatted = formatDate(firstDay);
  // var lastDayFormatted = formatDate(lastDay);
  if (type == 1){
    var year = firstDay.getFullYear();
    var month = ('0' + (firstDay.getMonth() + 1)).slice(-2);
    var day = ('0' + firstDay.getDate()).slice(-2);
    return year + '-' + month + '-' + day;
  }else{
    var year = lastDay.getFullYear();
    var month = ('0' + (lastDay.getMonth() + 1)).slice(-2);
    var day = ('0' + lastDay.getDate()).slice(-2);
    return year + '-' + month + '-' + day;
  }
}
};
