
/**
 * First we will load all of this project's JavaScript dependencies which
 * includes Vue and other libraries. It is a great starting point when
 * building robust, powerful web applications using Vue and Laravel.
 */

require('./bootstrap');

window.$ = window.jQuery = require('jquery'); 

window.Vue = require('vue');

/**
 * Next, we will create a fresh Vue application instance and attach it to
 * the page. Then, you may begin adding components to this application
 * or customize the JavaScript scaffolding to fit your unique needs.
 */

Vue.component('categoria', require('./components/Categoria.vue'));
Vue.component('articulo', require('./components/Articulo.vue'));
Vue.component('paciente', require('./components/Paciente.vue'));
Vue.component('proveedor', require('./components/Proveedor.vue'));
Vue.component('rol', require('./components/Rol.vue'));
Vue.component('user', require('./components/User.vue'));
Vue.component('ingreso', require('./components/Ingreso.vue'));
Vue.component('venta', require('./components/Venta.vue'));
Vue.component('dashboard', require('./components/Dashboard.vue'));
Vue.component('consultaingreso', require('./components/ConsultaIngreso.vue'));
Vue.component('consultaventa', require('./components/ConsultaVenta.vue'));
Vue.component('ayuda', require('./components/Ayuda.vue'));
Vue.component('acerca', require('./components/Acerca.vue'));
Vue.component('empresa', require('./components/Empresa.vue'));
Vue.component('clientegiro', require('./components/ClienteGiro.vue'));
Vue.component('clientesector', require('./components/ClienteSector.vue'));
Vue.component('clientecobro', require('./components/ClienteCobro.vue'));
Vue.component('clientevendedor', require('./components/ClienteVendedor.vue'));
Vue.component('clientetipo', require('./components/ClienteTipo.vue'));
Vue.component('tipogasto', require('./components/TiposGastos.vue'));
Vue.component('compracajachica', require('./components/CompraCajaChica.vue'));
Vue.component('tipoingreso', require('./components/TipoIngreso.vue'));
Vue.component('bodega', require('./components/Bodega.vue'));
Vue.component('sucursalcliente', require('./components/SucursalCliente.vue'));
Vue.component('ventacajachica', require('./components/VentaCajaChica.vue'));
Vue.component('cuentacontable', require('./components/CuentaContable.vue'));
Vue.component('partidacontable', require('./components/PartidaContable.vue'));
Vue.component('existenciaproducto', require('./components/ExistenciaProducto.vue'));
Vue.component('ajusteinventario', require('./components/AjusteInventario.vue'));
Vue.component('trasladoinventario', require('./components/TrasladoInventario.vue'));
Vue.component('reporteejemplo', require('./components/reporteEjemplo.vue'));
Vue.component('formodontograma', require('./components/FormOdontograma.vue'));
Vue.component('formprestamo', require('./components/FormPrestamo.vue'));
Vue.component('tiposprecio', require('./components/TiposPrecio.vue'));
Vue.component('abonocliente', require('./components/AbonoClientes.vue'));
Vue.component('bomba', require('./components/bomba.vue'));
Vue.component('ensamble', require('./components/ensamble.vue'));
Vue.component('comprajson', require('./components/CompraJSON.vue'));
Vue.component('plusproducto', require('./components/PlusProducto.vue'));
Vue.component('reporteventacsv', require('./components/ReporteVentaCSV.vue'));

//======================================SERCOM=====================================//
Vue.component('agenda', require('./components/agenda.vue'));
Vue.component('usuariobodega', require('./components/BodegaUsuarios.vue'));
Vue.component('bodegadocumento', require('./components/BodegaDocumento.vue'));
Vue.component('factcallcenter', require('./components/CallCenterFacturacion.vue'));
Vue.component('salapaciente', require('./components/SalaPaciente.vue'));
Vue.component('bodegasala', require('./components/BodegaSala.vue'));
Vue.component('ortodoncia', require('./components/Ortodoncia.vue'));
Vue.component('ortodonciaObs', require('./components/OrtodonciaObservaciones.vue'));
Vue.component('banco', require('./components/Banco.vue'));
Vue.component('cuentabancaria', require('./components/CuentaBancaria.vue'));
Vue.component('operacionbancaria', require('./components/OperacionBancaria.vue'));


//===================================FICHA DE PACIENTE ===============================//
Vue.component('fichaPaciente', require('./components/FichaPaciente/Main.vue'));
Vue.component('callCenter', require('./components/FichaPaciente/CallCenter.vue'));
Vue.component('planpago', require('./components/FichaPaciente/PlanPagos.vue'));
Vue.component('radiografia', require('./components/FichaPaciente/Radiografias.vue'));
Vue.component('documento', require('./components/FichaPaciente/Documentos.vue'));
Vue.component('registroOdonto', require('./components/FichaPaciente/RegistroOdontologico.vue'));
Vue.component('ordenTrabajo', require('./components/FichaPaciente/OrdenTrabajo.vue'));

/===================================FICHA DE EMPLEADO ===============================//
Vue.component('empleado', require('./components/Empleado.vue'));
Vue.component('fichaEmpleado', require('./components/FichaEmpleado/MainEmpleado.vue'));
Vue.component('callCenter1', require('./components/FichaEmpleado/CallCenter.vue'));
Vue.component('planPago1', require('./components/FichaEmpleado/PlanPagos.vue'));
Vue.component('imagenesEmpleados', require('./components/FichaEmpleado/ImagenesEmpleado.vue'));
Vue.component('documentoEmpleado', require('./components/FichaEmpleado/DocumentosEmpleado.vue'));
// Vue.component('registroOdonto1', require('./components/FichaEmpleado/RegistroOdontologico.vue'));
Vue.component('ordenTrabajo1', require('./components/FichaEmpleado/OrdenTrabajo.vue'));

//===================================FICHA DE ACTIVO FIJO ===============================//
Vue.component('activo', require('./components/ActivoFijo.vue'));
Vue.component('fichaActivo', require('./components/FichaActivoFijo/MainActivo.vue'));
Vue.component('imagenesActivos', require('./components/FichaActivoFijo/ImagenesActivo.vue'));
Vue.component('documentoActivo', require('./components/FichaActivoFijo/DocumentosActivo.vue'));


//===================================REPORTES ===============================//
Vue.component('repcajaresumido', require('./components/ReporteCajaResumido.vue'));
Vue.component('repcajaintegral', require('./components/ReporteCajaIntegral.vue'));
Vue.component('kpi', require('./components/kpi.vue'));
Vue.component('kpiexistenciainv', require('./components/kpiexistenciainv.vue'));
Vue.component('kpivtaxclasificacion', require('./components/kpivtaxclasificacion.vue'));
Vue.component('kpiexistransito', require('./components/kpiexistransito.vue'));
Vue.component('livaventasccf', require('./components/livaventasccf.vue'));
Vue.component('livaventascf', require('./components/livaventascf.vue'));
Vue.component('livacompras', require('./components/livacompras.vue'));
Vue.component('repokpis', require('./components/repokpis.vue'));
Vue.component('bi', require('./components/bi.vue'));





const app = new Vue({
    el: '#app',
    data :{
        menu : 0,
     //ruta: 'http://localhost/sercomfe/public/'
       ruta: 'http://facturatt.com/sercomfett/public/'
        
    },
    methods: {
        changePage(menu){
            this.menu = menu;
            // console.log("Menu recibido",this.menu);
        }
    },   
});
