<!DOCTYPE html>
<html lang="es">
<head>
  <meta charset="UTF-8">
  <title>Descarga de Documento Electrónico</title>
  <!-- Enlace al archivo CSS de Bootstrap -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
  <style>
    body {
      display: flex;
      justify-content: center;
      align-items: center;
      height: 100vh;
      font-family: Arial, sans-serif;
    }
  </style>
  <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
</head>
<body>
  <div class="container text-center">
    <h1>Descarga de Documento Electrónico</h1>
    <p class="lead">Estás consultando el Código de Generación:</p>
    @if ($errorCode == "-1")
      <div class="bg-warning p-3 mb-3 rounded">
        <p class="lead text-white">{{ $id }}</p>
        <p class="lead text-white">Documento en espera de procesamiento por parte del emisor. Por favor, espere.</p>
      </div>
    @elseif($errorCode == "-2")
      <div class="bg-danger p-3 mb-3 rounded">
        <p class="lead text-white">{{ $id }}</p>
        <p class="lead text-white">Documento rechazado.Por favor consulte a su proveedor.</p>
      </div>
    @else
     <div class="bg-success p-3 mb-3 rounded">
        <p class="lead text-white">{{ $id }}</p>
      <p class="lead text-white">Documento listo para descarga.</p>
    </div>
    <p class="text-white">En esta plataforma, puedes realizar las siguientes acciones:</p>
    <div class="mb-3">
      <a href="#" onclick="downloadJson('{{$id}}','{{$ruta}}')" class="btn btn-primary">Descargar JSON</a>
      <a href="#" onclick="downloadPdf('{{$id}}','{{$ruta}}')" class="btn btn-secondary">Descargar PDF</a>
    </div>   
    @endif
  </div>

  <!-- Script de Bootstrap (opcional si no se usa funcionalidad JS de Bootstrap) -->
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
  
  <script>
    function downloadJson(identificador,ruta) {
      var url=  ruta + '/elupita/public/DTE/downloadJSON?codigoGeneracion=' +identificador;
      axios.get(url).then(function (response) {
        const data = response.data;
        const jsonData = JSON.stringify(data, null, 2);
        const blob = new Blob([jsonData], { type: 'application/json' });
        const url = window.URL.createObjectURL(blob);
        const link = document.createElement('a');
        link.href = url;
        link.setAttribute('download', identificador + '.json');
        document.body.appendChild(link);
        link.click();
        document.body.removeChild(link);
        })
        .catch(function (error) {
          console.log(error);
        });
    }

    function downloadPdf(identificador,ruta) {
      var url=  ruta + '/elupita/public/DTE/downloadPDF?codigoGeneracion=' +identificador;
      axios.get(url, {
        responseType: 'blob'
      })
      .then((response) => {
        const blob = new Blob([response.data], { type: 'application/pdf' });
        const fileURL = window.URL.createObjectURL(blob);
        const fileLink = document.createElement('a');
        fileLink.href = fileURL;
        fileLink.setAttribute('download', identificador + '.pdf');
        document.body.appendChild(fileLink);
        fileLink.click();
        document.body.removeChild(fileLink);
      })
      .catch((error) => {
        console.error('Error al descargar el archivo PDF:', error);
      });
    }
</script>
</body>
</html>
