<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::group(['middleware'=>['guest']],function(){
    Route::get('/','Auth\LoginController@showLoginForm');
    Route::post('/login', 'Auth\LoginController@login')->name('login');
});

Route::group(['middleware'=>['auth']],function(){
    
    Route::post('/logout', 'Auth\LoginController@logout')->name('logout');
    Route::get('/dashboard', 'DashboardController');
    //Notificaciones 
    //Route::post('/notification/get', 'NotificationController@get'); 
    
    Route::get('/main', function () {
        return view('contenido/contenido');
    })->name('main');

    Route::group(['middleware' => ['Almacenero']], function () {
        Route::get('/categoria', 'CategoriaController@index');
        Route::post('/categoria/registrar', 'CategoriaController@store');
        Route::put('/categoria/actualizar', 'CategoriaController@update');
        Route::put('/categoria/desactivar', 'CategoriaController@desactivar');
        Route::put('/categoria/activar', 'CategoriaController@activar');
        Route::get('/categoria/selectCategoria', 'CategoriaController@selectCategoria');
        Route::get('/categoria/listarPdf','CategoriaController@listarPdf')->name('categorias_pdf');

        Route::get('/banco', 'OperacionBancariaController@index');
        Route::post('/banco/registrar', 'OperacionBancariaController@store');
        Route::put('/banco/actualizar', 'OperacionBancariaController@update');
        Route::get('/banco/selectBanco','OperacionBancariaController@selectBanco');
        Route::post('/banco/eliminar', 'OperacionBancariaController@delete');
        // Route::put('/categoria/desactivar', 'CategoriaController@desactivar');
        // Route::put('/categoria/activar', 'CategoriaController@activar');
        // Route::get('/categoria/selectCategoria', 'CategoriaController@selectCategoria');
        // Route::get('/categoria/listarPdf','CategoriaController@listarPdf')->name('categorias_pdf');

        Route::get('/cuentabancaria', 'OperacionBancariaController@indexCuentaBancaria');
        Route::post('/cuentabancaria/registrar', 'OperacionBancariaController@storeCuentaBancaria');
        Route::put('/cuentabancaria/actualizar', 'OperacionBancariaController@updateCuentaBancaria');
        Route::post('/cuentabancaria/eliminar', 'OperacionBancariaController@deleteCuentaBancaria');

        Route::get('/cuentabancia/selectCuenta','OperacionBancariaController@selectCuenta');

        Route::get('/operacionbancaria', 'OperacionBancariaController@indexOperacionBancaria');
        Route::post('/operacionbancaria/registrar','OperacionBancariaController@storeOperacionBancaria');
        Route::post('/operacionbancaria/anular', 'OperacionBancariaController@anularOperacion');
        Route::post('/operacionbancaria/getCuentaContable', 'OperacionBancariaController@getCuentaContableByCuenta');

        Route::get('/articulo', 'ArticuloController@index');
        Route::post('/articulo/registrar', 'ArticuloController@store');
        Route::put('/articulo/actualizar', 'ArticuloController@update');
        Route::put('/articulo/desactivar', 'ArticuloController@desactivar');
        Route::put('/articulo/activar', 'ArticuloController@activar');
        Route::get('/articulo/buscarArticulo', 'ArticuloController@buscarArticulo');
        Route::get('/articulo/listarArticulo', 'ArticuloController@listarArticulo');
        Route::get('/articulo/listarPdf','ArticuloController@listarPdf')->name('articulos_pdf');
        Route::post('/articulo/autocomplete', 'ArticuloController@autoCompleteProducto');
        Route::post('/articulo/storeTipoPrecioDet', 'ArticuloController@storeTipoPrecioDetalle');
        Route::get('/articulo/preciosDetalle','ArticuloController@indexTipoPrecioDetalle');
        Route::get('/articulo/selectTipoPrecio','ArticuloController@selectTipoPrecio');
        Route::post('/articulo/eliminarPrecioDet', 'ArticuloController@deleteTipoPrecioDetalle');
        Route::post('/articulo/registrarPlus', 'ArticuloController@storePlusProducto');
        Route::get('/plusProducto', 'ArticuloController@indexPlusProducto');
        Route::put('/articulo/actualizarPlus', 'ArticuloController@updatePlusProducto');
        Route::get('/articulo/getPlusProducto','ArticuloController@getPlusProducto');
        
        Route::get('/proveedor', 'ProveedorController@index');
        Route::post('/proveedor/registrar', 'ProveedorController@store');
        Route::put('/proveedor/actualizar', 'ProveedorController@update');
        Route::get('/proveedor/selectProveedor', 'ProveedorController@selectProveedor');
        Route::get('/proveedor/listarPdf','ProveedorController@listarPdf')->name('proveedores_pdf');

        Route::get('/ingreso', 'IngresoController@index');
        Route::post('/ingreso/registrar', 'IngresoController@store');
        Route::put('/ingreso/desactivar', 'IngresoController@desactivar');
        Route::get('/ingreso/obtenerCabecera', 'IngresoController@obtenerCabecera');
        Route::get('/ingreso/obtenerDetalles', 'IngresoController@obtenerDetalles');
        Route::get('/ingreso/pdf/{id}','IngresoController@pdf')->name('ingreso_pdf');
        Route::get('/ingreso/listarPdf','IngresoController@listarPdf')->name('ingresos_pdf');
        Route::post('/ingreso/selectResolucion', 'IngresoController@selectNumResolucion');
        Route::post('/ingreso/selectSerie', 'IngresoController@selectNumSerie');
        Route::get('/existencia', 'IngresoController@indexExistencia');
    });

    Route::group(['middleware' => ['Vendedor']], function () {
        Route::get('/cliente', 'ClienteController@index');
        Route::post('/cliente/registrar', 'ClienteController@store');
        Route::put('/cliente/actualizar', 'ClienteController@update');
        Route::get('/cliente/selectCliente', 'ClienteController@selectCliente');
        Route::get('/cliente/listarPdf','ClienteController@listarPdf')->name('clientes_pdf');
 
        Route::get('/articulo/buscarArticuloVenta', 'ArticuloController@buscarArticuloVenta');
        Route::get('/articulo/listarArticuloVenta', 'ArticuloController@listarArticuloVenta');

        Route::get('/venta', 'VentaController@index');
        Route::get('/venta/indexModalNotaCredito', 'VentaController@indexModalNotaCredito');
        Route::post('/venta/registrar', 'VentaController@store');
        Route::put('/venta/desactivar', 'VentaController@desactivar');
        Route::get('/venta/obtenerCabecera', 'VentaController@obtenerCabecera');
        Route::get('/venta/obtenerDetalles', 'VentaController@obtenerDetalles');
        Route::get('/venta/pdf/{id}','VentaController@pdf')->name('venta_pdf');
        Route::get('/venta/pdfTicket/{id}','VentaController@pdfTicket')->name('ventaticket_pdf');
        Route::get('/venta/listarPdf','VentaController@listarPdf')->name('ventas_pdf');
        Route::get('/venta/getBodegaEmpleado','VentaController@getBodegaEmpleado');
        Route::get('/venta/getFactura','VentaController@getFactura');


    });

    Route::group(['middleware' => ['Administrador']], function () {
        
        Route::get('/categoria', 'CategoriaController@index');
        Route::post('/categoria/registrar', 'CategoriaController@store');
        Route::put('/categoria/actualizar', 'CategoriaController@update');
        Route::put('/categoria/desactivar', 'CategoriaController@desactivar');
        Route::put('/categoria/activar', 'CategoriaController@activar');
        Route::get('/categoria/selectCategoria', 'CategoriaController@selectCategoria');
        Route::get('/categoria/listarPdf','CategoriaController@listarPdf')->name('categorias_pdf');

        Route::get('/articulo', 'ArticuloController@index');
        Route::post('/articulo/registrar', 'ArticuloController@store');
        Route::put('/articulo/actualizar', 'ArticuloController@update');
        Route::put('/articulo/desactivar', 'ArticuloController@desactivar');
        Route::put('/articulo/activar', 'ArticuloController@activar');
        Route::get('/articulo/buscarArticulo', 'ArticuloController@buscarArticulo');
        Route::get('/articulo/listarArticulo', 'ArticuloController@listarArticulo');
        Route::get('/articulo/buscarArticuloVenta', 'ArticuloController@buscarArticuloVenta');
        Route::get('/articulo/listarArticuloVenta', 'ArticuloController@listarArticuloVenta');
        Route::get('/articulo/listarPdf','ArticuloController@listarPdf')->name('articulos_pdf');
        Route::post('/articulo/storeTipoPrecioDet', 'ArticuloController@storeTipoPrecioDetalle');
        Route::get('/articulo/preciosDetalle','ArticuloController@indexTipoPrecioDetalle');
        Route::post('/articulo/eliminarPrecioDet', 'ArticuloController@deleteTipoPrecioDetalle');
        Route::put('/articulo/actualizarPrecioDet', 'ArticuloController@updateTipoPrecioDetalle');

        Route::get('/proveedor', 'ProveedorController@index');
        Route::post('/proveedor/registrar', 'ProveedorController@store');
        Route::put('/proveedor/actualizar', 'ProveedorController@update');
        Route::get('/proveedor/selectProveedor', 'ProveedorController@selectProveedor');
        Route::get('/proveedor/listarPdf','ProveedorController@listarPdf')->name('proveedores_pdf');
        Route::post('/proveedor/autocomplete', 'ProveedorController@autoCompleteProveeodor');

        Route::get('/ingreso', 'IngresoController@index');
        Route::post('/ingreso/registrar', 'IngresoController@store');
        Route::put('/ingreso/desactivar', 'IngresoController@desactivar');
        Route::get('/ingreso/obtenerCabecera', 'IngresoController@obtenerCabecera');
        Route::get('/ingreso/obtenerDetalles', 'IngresoController@obtenerDetalles');
        Route::get('/ingreso/pdf/{id}','IngresoController@pdf')->name('ingreso_pdf');
        Route::get('/ingreso/listarPdf','IngresoController@listarPdf')->name('ingresos_pdf');
        Route::post('/ingreso/anular', 'IngresoController@anularOrden');
        
        Route::get('/cliente', 'ClienteController@index');
        Route::post('/cliente/registrar', 'ClienteController@store');
        Route::put('/cliente/actualizar', 'ClienteController@update');
        Route::get('/cliente/selectCliente', 'ClienteController@selectCliente');
        Route::get('/cliente/listarPdf','ClienteController@listarPdf')->name('clientes_pdf');
        Route::get('/cliente/selectDepartamento', 'ClienteController@selectDepartamento');
        Route::post('/cliente/selectMunicipio', 'ClienteController@selectMunicipio');
        Route::post('/cliente/autocomplete', 'ClienteController@autoCompleteCliente');
        Route::post('/cliente/getFoto64', 'ClienteController@getFotoBase64');
    
        Route::get('/venta', 'VentaController@index');
        Route::post('/venta/registrar', 'VentaController@store');
        Route::put('/venta/desactivar', 'VentaController@desactivar');
        Route::get('/venta/obtenerCabecera', 'VentaController@obtenerCabecera');
        Route::get('/venta/obtenerDetalles', 'VentaController@obtenerDetalles');
        Route::get('/venta/pdf/{id}','VentaController@pdf')->name('venta_pdf');
        Route::get('/venta/pdfTicket/{id}','VentaController@pdfTicket')->name('ventaticket_pdf');
        Route::get('/venta/listarPdf','VentaController@listarPdf')->name('ventas_pdf');
         Route::post('/venta/selectResolucion', 'VentaController@selectNumResolucion');
        Route::post('/venta/selectSerie', 'VentaController@selectNumSerie');
        Route::post('/venta/anular', 'VentaController@anularFactura');

        Route::get('/rol', 'RolController@index');
        Route::get('/rol/selectRol', 'RolController@selectRol');
        
        Route::get('/user', 'UserController@index');
        Route::post('/user/registrar', 'UserController@store');
        Route::put('/user/actualizar', 'UserController@update');
        Route::put('/user/desactivar', 'UserController@desactivar');
        Route::put('/user/activar', 'UserController@activar');
        Route::get('/user/listarPdf','UserController@listarPdf')->name('usuarios_pdf');


        Route::get('/empresa', 'EmpresaController@index');
        Route::post('/empresa/registrar', 'EmpresaController@store');
        Route::put('/empresa/actualizar', 'EmpresaController@update');
        Route::put('/empresa/desactivar', 'EmpresaController@desactivar');
        Route::put('/empresa/activar', 'EmpresaController@activar');
        Route::get('/empresa/listarPdf','EmpresaController@listarPdf')->name('empresas_pdf');
       
        Route::get('/giro', 'ClienteGiroController@index');
        Route::post('/giro/registrar', 'ClienteGiroController@store');
        Route::put('/giro/actualizar', 'ClienteGiroController@update');
        Route::put('/giro/desactivar', 'ClienteGiroController@desactivar');
        Route::put('/giro/activar', 'ClienteGiroController@activar');
        Route::get('/giro/listarPdf','ClienteGiroController@listarPdf')->name('giros_pdf');
        Route::get('/giro/selectGiro','ClienteGiroController@selectGiro');
        Route::get('/giro/selectGiroSearch','ClienteGiroController@selectGiroSearch');
        

        Route::get('/sector', 'ClienteSectorController@index');
        Route::post('/sector/registrar', 'ClienteSectorController@store');
        Route::put('/sector/actualizar', 'ClienteSectorController@update');
        Route::put('/sector/desactivar', 'ClienteSectorController@desactivar');
        Route::put('/sector/activar', 'ClienteSectorController@activar');
        Route::get('/sector/listarPdf','ClienteSectorController@listarPdf')->name('sectores_pdf');
        Route::get('/sector/selectSector','ClienteSectorController@selectSector');

        Route::get('/cobro', 'ClienteCobroController@index');
        Route::post('/cobro/registrar', 'ClienteCobroController@store');
        Route::put('/cobro/actualizar', 'ClienteCobroController@update');
        Route::put('/cobro/desactivar', 'ClienteCobroController@desactivar');
        Route::put('/cobro/activar', 'ClienteCobroController@activar');
        Route::get('/cobro/listarPdf','ClienteCobroController@listarPdf')->name('cobros_pdf');
        Route::get('/cobro/selectCobro','ClienteCobroController@selectCobro');

        Route::get('vendedor', 'ClienteVendedorController@index');
        Route::post('/vendedor/registrar', 'ClienteVendedorController@store');
        Route::put('/vendedor/actualizar', 'ClienteVendedorController@update');
        Route::put('/vendedor/desactivar', 'ClienteVendedorController@desactivar');
        Route::put('/vendedor/activar', 'ClienteVendedorController@activar');
        Route::get('/vendedor/listarPdf','ClienteVendedorController@listarPdf')->name('vendedores_pdf');
        Route::get('/vendedor/selectVendedor','ClienteVendedorController@selectVendedor');

        Route::get('tipo', 'ClienteTipoController@index');
        Route::post('/tipo/registrar', 'ClienteTipoController@store');
        Route::put('/tipo/actualizar', 'ClienteTipoController@update');
        Route::put('/tipo/desactivar', 'ClienteTipoController@desactivar');
        Route::put('/tipo/activar', 'ClienteTipoController@activar');
        Route::get('/tipo/listarPdf','ClienteTipoController@listarPdf')->name('tipos_pdf');
        Route::get('/tipo/selectTipo','ClienteTipoController@selectTipo');

        Route::get('/gasto', 'TipoGastoController@index');
        Route::post('/gasto/registrar', 'TipoGastoController@store');
        Route::put('/gasto/actualizar', 'TipoGastoController@update');
        Route::put('/gasto/desactivar', 'TipoGastoController@desactivar');
        Route::put('/gasto/activar', 'TipoGastoController@activar');
        Route::get('/gasto/listarPdf','TipoGastoController@listarPdf')->name('sectores_pdf');
        Route::get('/gasto/selectGasto','TipoGastoController@selectGasto');

        Route::get('/comprachica', 'CompraChicaController@index');
        Route::post('/comprachica/registrar', 'CompraChicaController@store');
        Route::put('/comprachica/actualizar', 'CompraChicaController@update');
        Route::put('/comprachica/desactivar', 'CompraChicaController@desactivar');
        Route::put('/comprachica/activar', 'CompraChicaController@activar');
        Route::get('/comprachica/listarPdf','CompraChicaController@listarPdf')->name('sectores_pdf');
        Route::post('/comprachica/selectResolucion', 'CompraChicaController@selectNumResolucion');
        Route::post('/comprachica/selectSerie', 'CompraChicaController@selectNumSerie');

        Route::get('/comprajson', 'CompraJSONController@index');
        Route::post('/comprajson/registrar', 'CompraJSONController@store');
        Route::post('/comprajson/eliminar', 'CompraJSONController@delete');
        Route::get('/comprajson/selectTipoOperacion','CompraJSONController@selectTipoOperacion');
        Route::get('/comprajson/selectClasificacion','CompraJSONController@selectClasificacion');
        Route::get('/comprajson/selectSector','CompraJSONController@selectSector');
        Route::get('/comprajson/selectTipoCostoGasto','CompraJSONController@selectTipoCostoGasto');

        Route::get('/tipoIngreso', 'TipoIngresoController@index');
        Route::post('/tipoIngreso/registrar', 'TipoIngresoController@store');
        Route::put('/tipoIngreso/actualizar', 'TipoIngresoController@update');
        Route::put('/tipoIngreso/desactivar', 'TipoIngresoController@desactivar');
        Route::put('/tipoIngreso/activar', 'TipoIngresoController@activar');
        Route::get('/tipoIngreso/listarPdf','TipoIngresoController@listarPdf')->name('sectores_pdf');
        Route::get('/tipoIngreso/selectIngreso','TipoIngresoController@selectIngreso');

        Route::get('bodega', 'BodegaController@index');
        Route::post('/bodega/registrar', 'BodegaController@store');
        Route::put('/bodega/actualizar', 'BodegaController@update');
        Route::put('/bodega/desactivar', 'BodegaController@desactivar');
        Route::put('/bodega/activar', 'BodegaController@activar');
        Route::get('/bodega/listarPdf','BodegaController@listarPdf')->name('bodegas_pdf');
        Route::get('/bodega/selectBodega','BodegaController@selectBodega');

        Route::get('sucursal', 'SucursalClienteController@index');
        Route::post('/sucursal/registrar', 'SucursalClienteController@store');
        Route::put('/sucursal/actualizar', 'SucursalClienteController@update');
        Route::put('/sucursal/desactivar', 'SucursalClienteController@desactivar');
        Route::put('/sucursal/activar', 'SucursalClienteController@activar');
        Route::get('/sucursal/listarPdf','SucursalClienteController@listarPdf')->name('bodegas_pdf');
        Route::post('/sucursal/selectSucursalCliente', 'SucursalClienteController@selectSucursalCliente');
        Route::post('/sucursal/selectSucursalClienteSearch', 'SucursalClienteController@selectSucursalClienteSearch');
        

        Route::get('ventachica', 'VentaChicaController@index');
        Route::post('/ventachica/registrar', 'VentaChicaController@store');
        Route::put('/ventachica/actualizar', 'VentaChicaController@update');
        Route::put('/ventachica/desactivar', 'VentaChicaController@desactivar');
        Route::put('/ventachica/activar', 'VentaChicaController@activar');
        Route::get('/ventachica/listarPdf','VentaChicaController@listarPdf')->name('ventaschicas_pdf');
        Route::post('/ventachica/selectResolucion', 'VentaChicaController@selectNumResolucion');
        Route::post('/ventachica/selectSerie', 'VentaChicaController@selectNumSerie');


        Route::get('cuenta', 'CuentaContableController@index');
        Route::post('/cuenta/registrar', 'CuentaContableController@store');
        Route::put('/cuenta/actualizar', 'CuentaContableController@update');
        Route::put('/cuenta/desactivar', 'CuentaContableController@desactivar');
        Route::put('/cuenta/activar', 'CuentaContableController@activar');
        Route::get('/cuenta/listarPdf','CuentaContableController@listarPdf')->name('cuentas_pdf');
        Route::post('/cuenta/autoCompletePadre', 'CuentaContableController@autoCompleteCuentaPadre');

        Route::get('partidaContable', 'PartidaContableController@index');
        Route::post('/partidaContable/registrar', 'PartidaContableController@store');
        Route::put('/partidaContable/actualizar', 'PartidaContableController@update');
        Route::put('/partidaContable/desactivar', 'PartidaContableController@desactivar');
        Route::put('/partidaContable/activar', 'PartidaContableController@activar');
        Route::get('/partidaContable/listarPdf','PartidaContableController@listarPdf')->name('partidas_pdf');


        Route::get('/ajuste', 'AjusteInventarioController@index');
        Route::post('/ajuste/registrar', 'AjusteInventarioController@store');
        Route::put('/ajuste/desactivar', 'AjusteInventarioController@desactivar');
        //Route::get('/venta/obtenerCabecera', 'VentaController@obtenerCabecera');
        //Route::get('/venta/obtenerDetalles', 'VentaController@obtenerDetalles');
        Route::get('/ajuste/pdf/{id}','AjusteInventarioController@pdf')->name('ajuste_pdf');
        Route::get('/ajuste/pdfTicket/{id}','AjusteInventarioController@pdfTicket')->name('ajusteticket_pdf');
        Route::get('/ajuste/listarPdf','AjusteInventarioController@listarPdf')->name('ajsute1_pdf');
        Route::get('/ajuste/getUltimaLectura','AjusteInventarioController@getUltimaLecturaOdometro');
        Route::get('/bomba', 'AjusteInventarioController@indexBombas');
        Route::post('/bomba/registrar', 'AjusteInventarioController@storeBomba');
        Route::put('/bomba/desactivar', 'AjusteInventarioController@inactivateBomba');
        Route::put('/bomba/actualizar', 'AjusteInventarioController@updateBomba');
        Route::get('/bomba/getPrecioBomba','AjusteInventarioController@getPrecioBomba');
        
        Route::get('/traslado', 'TrasladoInventarioController@index');
        Route::post('/traslado/registrar', 'TrasladoInventarioController@store');
        Route::put('/traslado/desactivar', 'TrasladoInventarioController@desactivar');
        //Route::get('/venta/obtenerCabecera', 'VentaController@obtenerCabecera');
        //Route::get('/venta/obtenerDetalles', 'VentaController@obtenerDetalles');
        Route::get('/traslado/pdf/{id}','TrasladoInventarioController@pdf')->name('traslado_pdf');
        Route::get('/traslado/pdfTicket/{id}','TrasladoInventarioController@pdfTicket')->name('trasladoticket_pdf');
        Route::get('/traslado/listarPdf','TrasladoInventarioController@listarPdf')->name('traslado1_pdf');
        Route::get('/traslado/getNewCorr', 'TrasladoInventarioController@getNewCorr');


       //pacientes
       Route::post('/callcenter/registrar', 'PacienteController@storeCallCenter');
       Route::get('/calls', 'PacienteController@indexCallCenter');
       Route::put('/call/actualizar', 'PacienteController@updateCallCenter');
       Route::post('/call/eliminar', 'PacienteController@eliminarCallCenter');
       Route::post('/paciente/getPaciente', 'PacienteController@getPaciente');
    
       Route::post('/registroOdonto/registrar', 'PacienteController@storeRegistroOdonto');
       Route::get('/registroOdonto', 'PacienteController@indexRegistroOdonto');
       Route::put('/registroOdonto/actualizar', 'PacienteController@updateRegistroOdonto');
       Route::post('/registroOdonto/eliminar', 'PacienteController@eliminarRegistroOdonto');

       Route::post('/agenda/registrar', 'AgengaController@store');
       Route::put('/agenda/actualizar', 'AgengaController@update');
       Route::get('agenda', 'AgengaController@index');
       Route::put('/agenda/atender', 'AgengaController@atender');
       Route::put('/agenda/cancelar', 'AgengaController@cancelar');
       Route::post('/agenda/eliminar', 'AgengaController@deleteAgenda');
       Route::put('/agenda/finalizarConsulta', 'AgengaController@finalizar');

       Route::post('/ensamble/registrar', 'EnsambleController@store');
       Route::put('/ensamble/actualizar', 'EnsambleController@update');
       Route::get('ensamble', 'EnsambleController@index');
       Route::put('/ensamble/atender', 'EnsambleController@atender');
       Route::put('/ensamble/cancelar', 'EnsambleController@cancelar');
       Route::post('/ensamble/eliminar', 'EnsambleController@deleteAgenda');
       Route::put('/ensamble/finalizarConsulta', 'EnsambleController@finalizar');

       Route::get('/cuotas', 'AmortizadorController@index');

       Route::get('/radiografias', 'RadiografiaController@index');
       Route::post('/radiografia/registrar', 'RadiografiaController@store');
       Route::post('/radiografia/getFoto64', 'RadiografiaController@getFotoBase64');
       Route::put('/radiografia/actualizar', 'RadiografiaController@update');
       Route::post('/radiografia/eliminar', 'RadiografiaController@destroy');

       Route::get('/documentos', 'DocumentoController@index');
       Route::post('/documento/registrar', 'DocumentoController@store');
       Route::get('/documento/downLoad', 'DocumentoController@downloadDocumento');
       Route::put('/documento/actualizar', 'DocumentoController@update');
       Route::post('/documento/eliminar', 'DocumentoController@destroy');

       Route::get('bodegaEmpleado', 'BodegaController@indexBodegaEmpleado');
       Route::post('/bodegaEmpleado/autocomplete', 'BodegaController@autoCompleteUsuarios');
       Route::post('/bodegaEmpleado/registrar', 'BodegaController@storeBodegaUsuario');
       Route::post('/bodegaEmpleado/eliminar', 'BodegaController@deleteUsuarioBodega');       

       Route::get('bodegaDocumento', 'BodegaController@indexBodegaDocumento');
       Route::post('/bodegaDocumento/registrar', 'BodegaController@storeBodegaDocumento');
       Route::post('/bodegaDocumento/eliminar', 'BodegaController@deleteBodegaDocumento'); 
        Route::put('/bodegaDocumento/actualizar', 'BodegaController@updateBodegaDocumento');

        Route::get('/bodegaDocumento/getNumerosFactura', 'BodegaController@getNumerosDocumentos');

        Route::post('/cliente/filterClientsCallCenter', 'ClienteController@filterClientsCallCenter');
        Route::post('/cliente/getListaAbono', 'ClienteController@getAbonoClientesListado');
        Route::post('/cliente/saveAbonosClientes', 'ClienteController@storeAbonosClientes');
        Route::post('/cliente/getCLiente', 'ClienteController@getCliente');
        Route::post('/cliente/getCorr', 'ClienteController@getCorrPaciente');
        
        Route::get('/sala', 'PacienteController@indexSalas');
        Route::post('/sala/registrar', 'PacienteController@storeSalas');
        Route::put('/sala/actualizar', 'PacienteController@updateSalas');
        Route::put('/sala/desactivar', 'PacienteController@desactivarSalas');
        Route::put('/sala/activar', 'PacienteController@activarSalas');
        Route::post('/sala/eliminar', 'PacienteController@eliminarSalas');
        // Route::get('/sala/listarPdf','PacienteController@listarPdfSalas')->name('salas_pdf');
        Route::get('/sala/selectSalas','PacienteController@selectSalas');

        Route::get('bodegaSala', 'BodegaController@indexBodegaSala');
        Route::post('/bodegaSala/registrar', 'BodegaController@storeBodegaSala');
        Route::post('/bodegaSala/eliminar', 'BodegaController@deleteBodegaSala'); 
         Route::put('/bodegaSala/actualizar', 'BodegaController@updateBodegaSala');
         
        Route::post('/ortodoncia/registrar', 'PacienteController@storeOrtodoncia');
        Route::get('/ortodoncia', 'PacienteController@indexOrtodoncia');
        Route::post('/ortodoncia/anular', 'PacienteController@anularOrtodoncia');

        Route::post('/ordenTrabajo/registrar', 'PacienteController@storeOrdenTrabajo');

        Route::post('/odontograma/registrar', 'PacienteController@storeOdontograma');
        Route::get('/odontograma', 'PacienteController@indexOdontograma');
       Route::post('/odontograma/getFoto64', 'PacienteController@getFotoBase64');
    //    Route::put('/radiografia/actualizar', 'RadiografiaController@update');
    //    Route::post('/radiografia/eliminar', 'RadiografiaController@destroy');


     //=============================== EMPLEADOS =================================================================

     Route::get('/empleado', 'EmpleadoController@index');
     Route::post('/empleado/registrar', 'EmpleadoController@store');
     Route::put('/empleado/actualizar', 'EmpleadoController@update');
     Route::post('/empleado/getFoto64', 'EmpleadoController@getFotoBase64');
     Route::post('/empleado/getCorr', 'EmpleadoController@getCorrEmpleado');
     Route::get('/empleado/selectDpto','EmpleadoController@selectDepartamento');
     Route::get('/empleado/selectPuesto','EmpleadoController@selectPuesto');
    Route::get('/empleado/selectEmpleadoCombo', 'EmpleadoController@selectEmpleado');
    Route::post('/empleado/autocomplete', 'EmpleadoController@autoCompleteEmpleado');
    Route::post('/empleado/getListadoEmpleados', 'EmpleadoController@getListadoEmpleados');

     //=============================== ACTIVOS FIJOS =================================================================

     Route::get('/activoFijo', 'ActivoFijoController@index');
     Route::post('/activoFijo/registrar', 'ActivoFijoController@store');
     Route::put('/activoFijo/actualizar', 'ActivoFijoController@update');
     Route::post('/activoFijo/getFoto64', 'ActivoFijoController@getFotoBase64');
     Route::get('/activoFijo/selectActivo','ActivoFijoController@selectActivo');
     Route::get('/activoFijo/selectBarco','ActivoFijoController@selectBarco');
    

    //  Route::get('/imagenesActivos', 'ImagenActivoController@index');
    //  Route::post('/imagenesActivos/registrar', 'ImagenActivoController@store');
    //  Route::post('/imagenesActivos/getFoto64', 'ImagenActivoController@getFotoBase64');
    //  Route::put('/imagenesActivos/actualizar', 'ImagenActivoController@update');
    //  Route::post('/imagenesActivos/eliminar', 'ImagenActivoController@destroy');

    //  Route::get('/documentosActivo', 'DocumentoActivoController@index');
    //  Route::post('/documentosActivo/registrar', 'DocumentoActivoController@store');
    //  Route::get('/documentosActivo/downLoad', 'DocumentoActivoController@downloadDocumento');
    //  Route::put('/documentosActivo/actualizar', 'DocumentoActivoController@update');
    //  Route::post('/documentosActivo/eliminar', 'DocumentoActivoController@destroy');
     //============================================================================================================
        Route::get('/user/getUser', 'UserController@getUserLogin');


        Route::get('/factura/downloadJSON','FacturaElectronicaController@downloadJSONFile');

        Route::get('/facturaElectronica/selectIncoTerms','FacturaElectronicaController@selectIncoTerms');
        Route::get('/facturaElectronica/selectPaises','FacturaElectronicaController@selectPaises');
        Route::get('/facturaElectronica/selectRegimen','FacturaElectronicaController@selectRegimen');
        Route::get('/facturaElectronica/selectRecintoFiscal','FacturaElectronicaController@selectRecintoFiscal');
        Route::get('/facturaElectronica/selectTipoDeDocumentoDte','FacturaElectronicaController@selectTipoDeDocumentoDte');
         
    });
    
    Route::post('/export-facturas', 'VentaController@exportVentaCSV');

});
Route::get('/descargaDTE/{id}', 'FacturaElectronicaController@vistaDescargaDTE');
Route::get('/DTE/downloadJSON','FacturaElectronicaController@downloadPublicJsonFile');
Route::get('/DTE/downloadPDF','FacturaElectronicaController@downloadPdfDocument');